#declare Grass_Text = texture{
         pigment{ gradient y
                  turbulence 0.4
                  colour_map{
                             [0.0 colour rgb <0.10,0.55,0.06>]
                             [0.98 colour rgb <0.10,0.45,0.09>]
                             [1.0 colour rgb <0.4,0.21,0.04>]
                             }
                 scale <0.0001,0.0001,0.15>
                 }
//         normal {wrinkles 0.3 scale <0.0001,0.0001,1000>}
         finish{ ambient 0.18 diffuse 0.6 phong 0.4 phong_size 60}
}
#declare SepalText = texture{ Grass_Text }

#declare PetalText0 = texture{
         pigment{ gradient y
                  turbulence 0.4
                  colour_map{
                             [0.0 colour rgb <0.90,0.95,0.18>]
                             [0.98 colour rgb <0.90,0.9,0.08>]
                             [1.0 colour rgb <0.85,0.55,0.08>]
                             }
                 scale <0.0001,0.0001,0.15>
                 }
//         normal {wrinkles 0.3 scale <0.0001,0.0001,1000>}
         finish{ ambient 0.28 diffuse 0.7 phong 0.4 phong_size 10}
}
#declare PetalText1 = texture{
         pigment{ gradient y
                  turbulence 0.4
                  colour_map{
                             [0.0 colour rgb <0.90,0.95,0.18>]
                             [0.98 colour rgb <0.90,0.9,0.08>]
                             [1.0 colour rgb <0.85,0.55,0.08>]
                             }
                 scale <0.0001,0.0001,0.15>
                 }
//         normal {wrinkles 0.3 scale <0.0001,0.0001,1000>}
         finish{ ambient 0.28 diffuse 0.7 phong 0.4 phong_size 10}
}
#declare PetCentreText = texture{
         pigment{  colour rgb <0.05,0.15,0.08> }
//         normal {wrinkles 0.3 scale <0.0001,0.0001,1000>}
         finish{ ambient 0.2 diffuse 0.7 phong 0.6 phong_size 10}
}

// Grass Parameters
#declare PatShape = 0;
#declare XStart=-0.5;
#declare YStart=-0.5;
#declare ZPos=0;
#declare XEnd=0.5;
#declare YEnd=0.5;
#declare XStep=0.125;
#declare XStepRand=0.225;
#declare YStep=0.125;      
#declare YStepRand=0.225;
#declare MeanBladeHeight=0.2;
#declare HeightVar=0.25;
#declare MeanBladeWidth=0.01;
#declare WidthVar=0.25;
#declare BladeTaper = 0.7;
#declare MinAngle=4;
#declare MaxAngle=30;
#declare MinCurve=30;
#declare MaxCurve=90;
#declare MaxBladeSegs=24;
#declare MinBladeSegs=18;
#declare MaxBlades=8;
#declare MinBlades=4;
#declare R1 = seed(101);
#declare ReedDebug = 0;
#declare FlowerProb = 0.7;

// Stem Parameters

#declare MeanStemHeight=0.25;
#declare StemHeightVar=0.25;
#declare MeanStemWidth=0.005;
#declare StemWidthVar=0.25;
#declare StemTaper = 0.7;
#declare MinStemAngle=4;
#declare MaxStemAngle=30;
#declare MinStemCurve=4;
#declare MaxStemCurve=30;
#declare StemCurvePower = 0.8;
#declare MaxStemSegs=9;
#declare MinStemSegs=6;
#declare MinStems = 1;
#declare MaxStems = 3;

// Flower Parameters

#declare PetNum = 9;
#declare PetLen = 0.025;
#declare PetBendLen = 0.012;
#declare PetWidL = 0.004;
#declare PetWidR = 0.004;
#declare PetWidB = 0.004;
#declare PetWidT = 0.003;
#declare PetAng = 80;
#declare PetKink = -15;
#declare PetArch = -15;
#declare PetTwist = 10;
#declare PetCentRad = 0.007;
#declare PetCentHght = 0.002;
#declare SepalHght = 0.003;
#declare SepalRad = 0.007;
#declare FlowerSizeVar = 0.2;
#declare PetTipLen = 0.001;
#declare PetTipKink = 5;
#declare PetRows = 1;
#declare PetRowScale = 1;
#declare PetRowOff = 0;
#declare PetRowRot = 0;
#declare PetRowAngOff = 0;

#declare NumTri = 0;
#declare GrassPatch0 =
#include "Grass.inc"


#declare PatchCount = 0;
#while (PatchCount < 10)
       #declare XOff = (rand(R1)-0.5)*2;
       #declare YOff = (rand(R1)-0.5)*2;
       object{ GrassPatch0
               rotate <0,0,rand(R1)*360>
               translate <XOff, YOff, 0>
               }
       #declare PatchCount = PatchCount + 1;
#end

/************************/
/*   Grass w/ Flower    */
/************************/

#declare Patch0 = object { GrassPatch0
  scale 1.05
  translate <0,0,4>
}

#declare Patch1 = object { GrassPatch0
  scale 1.05
  rotate 90*z
  translate <0,0,4>
}

#declare Patch2 = object { GrassPatch0
  scale 1.05
  rotate -90*z
  translate <0,0,4>
}

#declare Patch3 = object { GrassPatch0
  scale 1.05
  rotate 180*z
  translate <0,0,4>
}

union {
  object { Patch0 translate <-62,-21, 0> }
  object { Patch1 translate <-62,-20, 0> } 
  object { Patch1 translate <-62,-19, 0> }
  object { Patch2 translate <-62,-18, 0> }
  object { Patch3 translate <-62,-17, 0> }
  object { Patch0 translate <-62,-16, 0> }
  object { Patch2 translate <-62,-15, 0> }
  object { Patch2 translate <-62,-14, 0> }
  object { Patch3 translate <-62,-13, 0> }
  object { Patch1 translate <-62,-12, 0> }
  object { Patch3 translate <-62,-11, 0> }
  object { Patch2 translate <-62,-10, 0> }
  object { Patch1 translate <-62, -9, 0> }
  object { Patch1 translate <-62, -8, 0> }
  object { Patch0 translate <-62, -7, 0> }
  object { Patch2 translate <-62, -6, 0> }
  object { Patch3 translate <-62, -5, 0> }
  object { Patch0 translate <-62, -4, 0> }
  object { Patch1 translate <-62, -3, 0> }
  object { Patch1 translate <-62, -2, 0> }
  object { Patch2 translate <-62, -1, 0> } 
  object { Patch3 translate <-62,  0, 0> } 
  object { Patch3 translate <-62,  1, 0> }
  object { Patch2 translate <-62,  2, 0> }
  object { Patch2 translate <-62,  3, 0> }
  object { Patch1 translate <-62,  4, 0> }
  object { Patch0 translate <-62,  5, 0> }
  object { Patch0 translate <-62,  6, 0> }
  object { Patch3 translate <-62,  7, 0> }
  object { Patch2 translate <-62,  8, 0> }
  object { Patch1 translate <-62,  9, 0> }
  object { Patch1 translate <-62, 10, 0> }

  object { Patch2 translate <-61,-21, 0> }
  object { Patch3 translate <-61,-20, 0> }
  object { Patch3 translate <-61,-19, 0> }
  object { Patch2 translate <-61,-18, 0> }
  object { Patch1 translate <-61,-17, 0> }
  object { Patch0 translate <-61,-16, 0> }
  object { Patch1 translate <-61,-15, 0> }
  object { Patch2 translate <-61,-14, 0> }
  object { Patch3 translate <-61,-13, 0> }
  object { Patch2 translate <-61,-12, 0> }
  object { Patch1 translate <-61,-11, 0> }
  object { Patch1 translate <-61,-10, 0> }
  object { Patch0 translate <-61, -9, 0> }
  object { Patch1 translate <-61, -8, 0> }
  object { Patch2 translate <-61, -7, 0> }
  object { Patch3 translate <-61, -6, 0> }
  object { Patch2 translate <-61, -5, 0> }
  object { Patch0 translate <-61, -4, 0> }
  object { Patch0 translate <-61, -3, 0> }
  object { Patch1 translate <-61, -2, 0> }
  object { Patch2 translate <-61, -1, 0> }
  object { Patch2 translate <-61,  0, 0> }
  object { Patch3 translate <-61,  1, 0> }
  object { Patch1 translate <-61,  2, 0> }
  object { Patch2 translate <-61,  3, 0> }
  object { Patch0 translate <-61,  4, 0> }
  object { Patch1 translate <-61,  5, 0> }
  object { Patch3 translate <-61,  6, 0> }
  object { Patch3 translate <-61,  7, 0> }
  object { Patch2 translate <-61,  8, 0> }
  object { Patch2 translate <-61,  9, 0> }
  object { Patch0 translate <-61, 10, 0> }

  object { Patch1 translate <-60,-21, 0> }
  object { Patch1 translate <-60,-20, 0> }
  object { Patch2 translate <-60,-19, 0> }
  object { Patch3 translate <-60,-18, 0> }
  object { Patch0 translate <-60,-17, 0> }
  object { Patch3 translate <-60,-16, 0> }
  object { Patch2 translate <-60,-15, 0> }
  object { Patch1 translate <-60,-14, 0> }
  object { Patch2 translate <-60,-13, 0> }
  object { Patch0 translate <-60,-12, 0> }
  object { Patch1 translate <-60,-11, 0> }
  object { Patch2 translate <-60,-10, 0> }
  object { Patch0 translate <-60, -9, 0> }
  object { Patch2 translate <-60, -8, 0> }
  object { Patch3 translate <-60, -7, 0> }
  object { Patch2 translate <-60, -6, 0> }
  object { Patch1 translate <-60, -5, 0> }
  object { Patch0 translate <-60, -4, 0> }
  object { Patch1 translate <-60, -3, 0> }
  object { Patch1 translate <-60, -2, 0> }
  object { Patch3 translate <-60, -1, 0> }
  object { Patch2 translate <-60,  0, 0> }
  object { Patch2 translate <-60,  1, 0> }
  object { Patch3 translate <-60,  2, 0> }
  object { Patch1 translate <-60,  3, 0> }
  object { Patch0 translate <-60,  4, 0> }
  object { Patch0 translate <-60,  5, 0> }
  object { Patch1 translate <-60,  6, 0> }
  object { Patch2 translate <-60,  7, 0> }
  object { Patch3 translate <-60,  8, 0> }
  object { Patch3 translate <-60,  9, 0> }
  object { Patch2 translate <-60, 10, 0> }
                
  object { Patch1 translate <-59,-21, 0> }
  object { Patch0 translate <-59,-20, 0> }
  object { Patch1 translate <-59,-19, 0> }
  object { Patch2 translate <-59,-18, 0> }
  object { Patch1 translate <-59,-17, 0> }
  object { Patch2 translate <-59,-16, 0> }
  object { Patch3 translate <-59,-15, 0> }
  object { Patch1 translate <-59,-14, 0> }
  object { Patch2 translate <-59,-13, 0> }
  object { Patch3 translate <-59,-12, 0> }
  object { Patch1 translate <-59,-11, 0> }
  object { Patch2 translate <-59,-10, 0> }
  object { Patch3 translate <-59, -9, 0> }
  object { Patch2 translate <-59, -8, 0> }
  object { Patch2 translate <-59, -7, 0> }
  object { Patch1 translate <-59, -6, 0> }
  object { Patch0 translate <-59, -5, 0> }
  object { Patch0 translate <-59, -4, 0> }
  object { Patch3 translate <-59, -3, 0> }
  object { Patch1 translate <-59, -2, 0> }
  object { Patch2 translate <-59, -1, 0> }
  object { Patch2 translate <-59,  0, 0> }
  object { Patch3 translate <-59,  1, 0> }
  object { Patch0 translate <-59,  2, 0> }
  object { Patch1 translate <-59,  3, 0> }
  object { Patch2 translate <-59,  4, 0> }
  object { Patch3 translate <-59,  5, 0> }
  object { Patch3 translate <-59,  6, 0> }
  object { Patch1 translate <-59,  7, 0> }
  object { Patch1 translate <-59,  8, 0> }
  object { Patch2 translate <-59,  9, 0> }
  object { Patch0 translate <-59, 10, 0> }

  object { Patch1 translate <-58,-21, 0> }
  object { Patch2 translate <-58,-20, 0> }
  object { Patch3 translate <-58,-19, 0> }
  object { Patch0 translate <-58,-18, 0> }
  object { Patch2 translate <-58,-17, 0> }
  object { Patch3 translate <-58,-16, 0> }
  object { Patch1 translate <-58,-15, 0> }
  object { Patch2 translate <-58,-14, 0> }
  object { Patch3 translate <-58,-13, 0> }
  object { Patch0 translate <-58,-12, 0> }
  object { Patch3 translate <-58,-11, 0> }
  object { Patch1 translate <-58,-10, 0> }
  object { Patch2 translate <-58, -9, 0> }
  object { Patch3 translate <-58, -8, 0> }
  object { Patch0 translate <-58, -7, 0> }
  object { Patch1 translate <-58, -6, 0> }
  object { Patch3 translate <-58, -5, 0> }
  object { Patch2 translate <-58, -4, 0> }
  object { Patch1 translate <-58, -3, 0> }
  object { Patch2 translate <-58, -2, 0> }
  object { Patch3 translate <-58, -1, 0> }
  object { Patch0 translate <-58,  0, 0> }
  object { Patch2 translate <-58,  1, 0> }
  object { Patch2 translate <-58,  2, 0> }
  object { Patch3 translate <-58,  3, 0> }
  object { Patch1 translate <-58,  4, 0> }
  object { Patch2 translate <-58,  5, 0> }
  object { Patch3 translate <-58,  6, 0> }
  object { Patch0 translate <-58,  7, 0> }
  object { Patch0 translate <-58,  8, 0> }
  object { Patch2 translate <-58,  9, 0> }
  object { Patch3 translate <-58, 10, 0> }

  object { Patch1 translate <-57,-21, 0> }
  object { Patch1 translate <-57,-20, 0> }
  object { Patch0 translate <-57,-19, 0> }
  object { Patch3 translate <-57,-18, 0> }
  object { Patch3 translate <-57,-17, 0> }
  object { Patch2 translate <-57,-16, 0> }
  object { Patch2 translate <-57,-15, 0> }
  object { Patch1 translate <-57,-14, 0> }
  object { Patch1 translate <-57,-13, 0> }
  object { Patch0 translate <-57,-12, 0> }
  object { Patch0 translate <-57,-11, 0> }
  object { Patch1 translate <-57,-10, 0> }
  object { Patch3 translate <-57, -9, 0> }
  object { Patch2 translate <-57, -8, 0> }
  object { Patch0 translate <-57, -7, 0> }
  object { Patch1 translate <-57, -6, 0> }
  object { Patch1 translate <-57, -5, 0> }
  object { Patch3 translate <-57, -4, 0> }
  object { Patch2 translate <-57, -3, 0> }
  object { Patch2 translate <-57, -2, 0> }
  object { Patch3 translate <-57, -1, 0> }
  object { Patch1 translate <-57,  0, 0> }
  object { Patch0 translate <-57,  1, 0> }
  object { Patch0 translate <-57,  2, 0> }
  object { Patch1 translate <-57,  3, 0> }
  object { Patch3 translate <-57,  4, 0> }
  object { Patch2 translate <-57,  5, 0> }
  object { Patch0 translate <-57,  6, 0> }
  object { Patch3 translate <-57,  7, 0> }
  object { Patch2 translate <-57,  8, 0> }
  object { Patch1 translate <-57,  9, 0> }
  object { Patch1 translate <-57, 10, 0> }

  object { Patch2 translate <-56,-21, 0> }
  object { Patch3 translate <-56,-20, 0> }
  object { Patch3 translate <-56,-19, 0> }
  object { Patch2 translate <-56,-18, 0> }
  object { Patch3 translate <-56,-17, 0> }
  object { Patch1 translate <-56,-16, 0> }
  object { Patch1 translate <-56,-15, 0> }
  object { Patch3 translate <-56,-14, 0> }
  object { Patch2 translate <-56,-13, 0> }
  object { Patch1 translate <-56,-12, 0> }
  object { Patch0 translate <-56,-11, 0> }
  object { Patch3 translate <-56,-10, 0> }
  object { Patch2 translate <-56, -9, 0> }
  object { Patch3 translate <-56, -8, 0> }
  object { Patch2 translate <-56, -7, 0> }
  object { Patch1 translate <-56, -6, 0> }
  object { Patch3 translate <-56, -5, 0> }
  object { Patch2 translate <-56, -4, 0> }
  object { Patch0 translate <-56, -3, 0> }
  object { Patch1 translate <-56, -2, 0> }
  object { Patch2 translate <-56, -1, 0> }
  object { Patch0 translate <-56,  0, 0> }
  object { Patch3 translate <-56,  1, 0> }
  object { Patch0 translate <-56,  2, 0> }
  object { Patch0 translate <-56,  3, 0> }
  object { Patch3 translate <-56,  4, 0> }
  object { Patch2 translate <-56,  5, 0> }
  object { Patch2 translate <-56,  6, 0> }
  object { Patch1 translate <-56,  7, 0> }
  object { Patch0 translate <-56,  8, 0> }
  object { Patch3 translate <-56,  9, 0> }
  object { Patch3 translate <-56, 10, 0> }
                
  object { Patch2 translate <-55,-24, 0> }
  object { Patch3 translate <-55,-23, 0> }
  object { Patch1 translate <-55,-22, 0> }
  object { Patch0 translate <-55,-21, 0> }
  object { Patch1 translate <-55,-20, 0> }
  object { Patch2 translate <-55,-19, 0> }
  object { Patch3 translate <-55,-18, 0> }
  object { Patch3 translate <-55,-17, 0> }
  object { Patch2 translate <-55,-16, 0> }
  object { Patch0 translate <-55,-15, 0> }
  object { Patch1 translate <-55,-14, 0> }
  object { Patch3 translate <-55,-13, 0> }
  object { Patch2 translate <-55,-12, 0> }
  object { Patch1 translate <-55,-11, 0> }
  object { Patch0 translate <-55,-10, 0> }
  object { Patch0 translate <-55, -9, 0> }
  object { Patch3 translate <-55, -8, 0> }
  object { Patch2 translate <-55, -7, 0> }
  object { Patch1 translate <-55, -6, 0> }
  object { Patch0 translate <-55, -5, 0> }
  object { Patch3 translate <-55, -4, 0> }
  object { Patch2 translate <-55, -3, 0> }
  object { Patch2 translate <-55, -2, 0> }
  object { Patch1 translate <-55, -1, 0> }
  object { Patch0 translate <-55,  0, 0> }
  object { Patch3 translate <-55,  1, 0> }
  object { Patch2 translate <-55,  2, 0> }
  object { Patch0 translate <-55,  3, 0> }
  object { Patch3 translate <-55,  4, 0> }
  object { Patch2 translate <-55,  5, 0> }
  object { Patch1 translate <-55,  6, 0> }
  object { Patch1 translate <-55,  7, 0> }
  object { Patch2 translate <-55,  8, 0> }
  object { Patch3 translate <-55,  9, 0> }
  object { Patch2 translate <-55, 10, 0> }

  object { Patch3 translate <-54,-24, 0> }
  object { Patch3 translate <-54,-23, 0> }
  object { Patch1 translate <-54,-22, 0> }
  object { Patch0 translate <-54,-21, 0> }
  object { Patch0 translate <-54,-20, 0> }
  object { Patch3 translate <-54,-19, 0> }
  object { Patch2 translate <-54,-18, 0> }
  object { Patch1 translate <-54,-17, 0> }
  object { Patch1 translate <-54,-16, 0> }
  object { Patch0 translate <-54,-15, 0> }
  object { Patch3 translate <-54,-14, 0> }
  object { Patch3 translate <-54,-13, 0> }
  object { Patch2 translate <-54,-12, 0> }
  object { Patch2 translate <-54,-11, 0> }
  object { Patch1 translate <-54,-10, 0> }
  object { Patch1 translate <-54, -9, 0> }
  object { Patch0 translate <-54, -8, 0> }
  object { Patch0 translate <-54, -7, 0> }
  object { Patch3 translate <-54, -6, 0> }
  object { Patch2 translate <-54, -5, 0> }
  object { Patch1 translate <-54, -4, 0> }
  object { Patch0 translate <-54, -3, 0> }
  object { Patch3 translate <-54, -2, 0> }
  object { Patch2 translate <-54, -1, 0> }
  object { Patch0 translate <-54,  0, 0> }
  object { Patch1 translate <-54,  1, 0> }
  object { Patch3 translate <-54,  2, 0> }
  object { Patch3 translate <-54,  3, 0> }
  object { Patch2 translate <-54,  4, 0> }
  object { Patch1 translate <-54,  5, 0> }
  object { Patch0 translate <-54,  6, 0> }
  object { Patch0 translate <-54,  7, 0> }
  object { Patch2 translate <-54,  8, 0> }
  object { Patch2 translate <-54,  9, 0> }
  object { Patch3 translate <-54, 10, 0> }
                
  object { Patch0 translate <-53,-24, 0> }
  object { Patch0 translate <-53,-23, 0> }
  object { Patch1 translate <-53,-22, 0> }
  object { Patch3 translate <-53,-21, 0> }
  object { Patch2 translate <-53,-20, 0> }
  object { Patch1 translate <-53,-19, 0> }
  object { Patch1 translate <-53,-18, 0> }
  object { Patch0 translate <-53,-17, 0> }
  object { Patch3 translate <-53,-16, 0> }
  object { Patch2 translate <-53,-15, 0> }
  object { Patch1 translate <-53,-14, 0> }
  object { Patch3 translate <-53,-13, 0> }
  object { Patch2 translate <-53,-12, 0> }
  object { Patch0 translate <-53,-11, 0> }
  object { Patch1 translate <-53,-10, 0> }
  object { Patch3 translate <-53, -9, 0> }
  object { Patch2 translate <-53, -8, 0> }
  object { Patch1 translate <-53, -7, 0> }
  object { Patch1 translate <-53, -6, 0> }
  object { Patch3 translate <-53, -5, 0> }
  object { Patch2 translate <-53, -4, 0> }
  object { Patch1 translate <-53, -3, 0> }
  object { Patch0 translate <-53, -2, 0> }
  object { Patch3 translate <-53, -1, 0> }
  object { Patch2 translate <-53,  0, 0> }
  object { Patch1 translate <-53,  1, 0> }
  object { Patch0 translate <-53,  2, 0> }
  object { Patch0 translate <-53,  3, 0> }
  object { Patch3 translate <-53,  4, 0> }
  object { Patch2 translate <-53,  5, 0> }
  object { Patch1 translate <-53,  6, 0> }
  object { Patch0 translate <-53,  7, 0> }
  object { Patch3 translate <-53,  8, 0> }
  object { Patch2 translate <-53,  9, 0> }
  object { Patch0 translate <-53, 10, 0> }

  object { Patch1 translate <-52,-24, 0> }
  object { Patch1 translate <-52,-23, 0> }
  object { Patch3 translate <-52,-22, 0> }
  object { Patch2 translate <-52,-25, 0> }
  object { Patch3 translate <-52,-21, 0> }
  object { Patch3 translate <-52,-20, 0> }
  object { Patch2 translate <-52,-19, 0> }
  object { Patch1 translate <-52,-18, 0> }
  object { Patch0 translate <-52,-17, 0> }
  object { Patch1 translate <-52,-16, 0> }
  object { Patch0 translate <-52,-15, 0> }
  object { Patch3 translate <-52,-14, 0> }
  object { Patch2 translate <-52,-13, 0> }
  object { Patch2 translate <-52,-12, 0> }
  object { Patch1 translate <-52,-11, 0> }
  object { Patch3 translate <-52,-10, 0> }
  object { Patch2 translate <-52, -9, 0> }
  object { Patch0 translate <-52, -8, 0> }
  object { Patch0 translate <-52, -7, 0> }
  object { Patch2 translate <-52, -6, 0> }
  object { Patch3 translate <-52, -5, 0> }
  object { Patch1 translate <-52, -4, 0> }
  object { Patch1 translate <-52, -3, 0> }
  object { Patch0 translate <-52, -2, 0> }
  object { Patch3 translate <-52, -1, 0> }
  object { Patch2 translate <-52,  0, 0> }
  object { Patch2 translate <-52,  1, 0> }
  object { Patch3 translate <-52,  2, 0> }
  object { Patch2 translate <-52,  3, 0> }
  object { Patch1 translate <-52,  4, 0> }
  object { Patch1 translate <-52,  5, 0> }
  object { Patch0 translate <-52,  6, 0> }
  object { Patch3 translate <-52,  7, 0> }
  object { Patch3 translate <-52,  8, 0> }
  object { Patch2 translate <-52,  9, 0> }
  object { Patch1 translate <-52, 10, 0> }

  object { Patch0 translate <-51,-24, 0> }
  object { Patch0 translate <-51,-23, 0> }
  object { Patch3 translate <-51,-22, 0> }
  object { Patch1 translate <-51,-21, 0> }
  object { Patch2 translate <-51,-20, 0> }
  object { Patch1 translate <-51,-19, 0> }
  object { Patch0 translate <-51,-18, 0> }
  object { Patch3 translate <-51,-17, 0> }
  object { Patch0 translate <-51,-16, 0> }
  object { Patch2 translate <-51,-15, 0> }
  object { Patch1 translate <-51,-14, 0> }
  object { Patch1 translate <-51,-13, 0> }
  object { Patch0 translate <-51,-12, 0> }
  object { Patch3 translate <-51,-11, 0> }
  object { Patch2 translate <-51,-10, 0> }
  object { Patch1 translate <-51, -9, 0> }
  object { Patch1 translate <-51, -8, 0> }
  object { Patch2 translate <-51, -7, 0> }
  object { Patch3 translate <-51, -6, 0> }
  object { Patch0 translate <-51, -5, 0> }
  object { Patch0 translate <-51, -4, 0> }
  object { Patch3 translate <-51, -3, 0> }
  object { Patch1 translate <-51, -2, 0> }
  object { Patch2 translate <-51, -1, 0> }
  object { Patch3 translate <-51,  0, 0> }
  object { Patch0 translate <-51,  1, 0> }
  object { Patch2 translate <-51,  2, 0> }
  object { Patch2 translate <-51,  3, 0> }
  object { Patch0 translate <-51,  4, 0> }
  object { Patch1 translate <-51,  5, 0> }
  object { Patch3 translate <-51,  6, 0> }
  object { Patch2 translate <-51,  7, 0> }
  object { Patch2 translate <-51,  8, 0> }
  object { Patch1 translate <-51,  9, 0> }
  object { Patch0 translate <-51, 10, 0> }
                
  object { Patch3 translate <-50,-24, 0> }
  object { Patch3 translate <-50,-23, 0> }
  object { Patch2 translate <-50,-22, 0> }
  object { Patch1 translate <-50,-21, 0> }
  object { Patch1 translate <-50,-20, 0> }
  object { Patch0 translate <-50,-19, 0> }
  object { Patch3 translate <-50,-18, 0> }
  object { Patch2 translate <-50,-17, 0> }
  object { Patch0 translate <-50,-16, 0> }
  object { Patch1 translate <-50,-15, 0> }
  object { Patch3 translate <-50,-14, 0> }
  object { Patch2 translate <-50,-13, 0> }
  object { Patch2 translate <-50,-12, 0> }
  object { Patch1 translate <-50,-11, 0> }
  object { Patch0 translate <-50,-10, 0> }
  object { Patch3 translate <-50, -9, 0> }
  object { Patch2 translate <-50, -8, 0> }
  object { Patch2 translate <-50, -7, 0> }
  object { Patch1 translate <-50, -6, 0> }
  object { Patch0 translate <-50, -5, 0> }
  object { Patch3 translate <-50, -4, 0> }
  object { Patch3 translate <-50, -3, 0> }
  object { Patch2 translate <-50, -2, 0> }
  object { Patch1 translate <-50, -1, 0> }
  object { Patch0 translate <-50,  0, 0> }
  object { Patch3 translate <-50,  1, 0> }
  object { Patch2 translate <-50,  2, 0> }
  object { Patch1 translate <-50,  3, 0> }
  object { Patch1 translate <-50,  4, 0> }
  object { Patch0 translate <-50,  5, 0> }
  object { Patch3 translate <-50,  6, 0> }
  object { Patch3 translate <-50,  7, 0> }
  object { Patch2 translate <-50,  8, 0> }
  object { Patch2 translate <-50,  9, 0> }
  object { Patch1 translate <-50, 10, 0> }

  object { Patch0 translate <-49,-24, 0> }
  object { Patch1 translate <-49,-23, 0> }
  object { Patch2 translate <-49,-22, 0> }
  object { Patch3 translate <-49,-21, 0> }
  object { Patch2 translate <-49,-20, 0> }
  object { Patch1 translate <-49,-19, 0> }
  object { Patch0 translate <-49,-18, 0> }
  object { Patch3 translate <-49,-17, 0> }
  object { Patch2 translate <-49,-16, 0> }
  object { Patch0 translate <-49,-15, 0> }
  object { Patch1 translate <-49,-14, 0> }
  object { Patch3 translate <-49,-13, 0> }
  object { Patch2 translate <-49,-12, 0> }
  object { Patch1 translate <-49,-11, 0> }
  object { Patch3 translate <-49,-10, 0> }
  object { Patch2 translate <-49, -9, 0> }
  object { Patch0 translate <-49, -8, 0> }
  object { Patch1 translate <-49, -7, 0> }
  object { Patch3 translate <-49, -6, 0> }
  object { Patch2 translate <-49, -5, 0> }
  object { Patch0 translate <-49, -4, 0> }
  object { Patch0 translate <-49, -3, 0> }
  object { Patch3 translate <-49, -2, 0> }
  object { Patch2 translate <-49, -1, 0> }
  object { Patch2 translate <-49,  0, 0> }
  object { Patch1 translate <-49,  1, 0> }
  object { Patch1 translate <-49,  2, 0> }
  object { Patch0 translate <-49,  3, 0> }
  object { Patch3 translate <-49,  4, 0> }
  object { Patch1 translate <-49,  5, 0> }
  object { Patch1 translate <-49,  6, 0> }
  object { Patch3 translate <-49,  7, 0> }
  object { Patch2 translate <-49,  8, 0> }
  object { Patch0 translate <-49,  9, 0> }
  object { Patch1 translate <-49, 10, 0> }

  object { Patch0 translate <-48,-25, 0> }
  object { Patch3 translate <-48,-24, 0> }
  object { Patch2 translate <-48,-23, 0> }
  object { Patch1 translate <-48,-22, 0> }
  object { Patch2 translate <-48,-22, 0> }
  object { Patch3 translate <-48,-21, 0> }
  object { Patch2 translate <-48,-20, 0> }
  object { Patch1 translate <-48,-19, 0> }
  object { Patch1 translate <-48,-18, 0> }
  object { Patch2 translate <-48,-17, 0> }
  object { Patch0 translate <-48,-16, 0> }
  object { Patch3 translate <-48,-15, 0> }
  object { Patch2 translate <-48,-14, 0> }
  object { Patch1 translate <-48,-13, 0> }
  object { Patch0 translate <-48,-12, 0> }
  object { Patch3 translate <-48,-11, 0> }
  object { Patch1 translate <-48,-10, 0> }
  object { Patch2 translate <-48, -9, 0> }
  object { Patch3 translate <-48, -8, 0> }
  object { Patch0 translate <-48, -7, 0> }
  object { Patch3 translate <-48, -6, 0> }
  object { Patch1 translate <-48, -5, 0> }
  object { Patch2 translate <-48, -4, 0> }
  object { Patch3 translate <-48, -3, 0> }
  object { Patch1 translate <-48, -2, 0> }
  object { Patch1 translate <-48, -1, 0> }
  object { Patch3 translate <-48,  0, 0> }
  object { Patch2 translate <-48,  1, 0> }
  object { Patch1 translate <-48,  2, 0> }
  object { Patch0 translate <-48,  3, 0> }
  object { Patch1 translate <-48,  4, 0> }
  object { Patch3 translate <-48,  5, 0> }
  object { Patch2 translate <-48,  6, 0> }
  object { Patch1 translate <-48,  7, 0> }
  object { Patch2 translate <-48,  8, 0> }
  object { Patch3 translate <-48,  9, 0> }
  object { Patch3 translate <-48, 10, 0> }
//  object { Patch1 translate <-48, 11, 0> }
//  object { Patch1 translate <-48, 12, 0> }

  object { Patch0 translate <-47,-25, 0> }
  object { Patch3 translate <-47,-24, 0> }
  object { Patch1 translate <-47,-23, 0> }
  object { Patch2 translate <-47,-22, 0> }
  object { Patch3 translate <-47,-21, 0> }
  object { Patch2 translate <-47,-20, 0> }
  object { Patch1 translate <-47,-19, 0> }
  object { Patch0 translate <-47,-18, 0> }
  object { Patch3 translate <-47,-17, 0> }
  object { Patch1 translate <-47,-16, 0> }
  object { Patch2 translate <-47,-15, 0> }
  object { Patch2 translate <-47,-14, 0> }
  object { Patch0 translate <-47,-13, 0> }
  object { Patch3 translate <-47,-12, 0> }
  object { Patch1 translate <-47,-11, 0> }
  object { Patch0 translate <-47,-10, 0> }
  object { Patch3 translate <-47, -9, 0> }
  object { Patch1 translate <-47, -8, 0> }
  object { Patch1 translate <-47, -7, 0> }
  object { Patch2 translate <-47, -6, 0> }
  object { Patch3 translate <-47, -5, 0> }
  object { Patch3 translate <-47, -4, 0> }
  object { Patch2 translate <-47, -3, 0> }
  object { Patch3 translate <-47, -2, 0> }
  object { Patch2 translate <-47, -1, 0> }
  object { Patch1 translate <-47,  0, 0> }
  object { Patch0 translate <-47,  1, 0> }
  object { Patch3 translate <-47,  2, 0> }
  object { Patch0 translate <-47,  3, 0> }
  object { Patch3 translate <-47,  4, 0> }
  object { Patch1 translate <-47,  5, 0> }
  object { Patch2 translate <-47,  6, 0> }
  object { Patch0 translate <-47,  7, 0> }
  object { Patch3 translate <-47,  8, 0> }
  object { Patch1 translate <-47,  9, 0> }
  object { Patch2 translate <-47, 10, 0> }
  object { Patch3 translate <-47, 11, 0> }
  object { Patch0 translate <-47, 12, 0> }
  object { Patch1 translate <-47, 13, 0> }
  object { Patch3 translate <-47, 14, 0> }
  object { Patch0 translate <-47, 15, 0> }
  object { Patch0 translate <-47, 16, 0> }
  object { Patch3 translate <-47, 17, 0> }
                
  object { Patch1 translate <-46,-26, 0> }
  object { Patch3 translate <-46,-25, 0> }
  object { Patch3 translate <-46,-24, 0> }
  object { Patch2 translate <-46,-23, 0> }
  object { Patch1 translate <-46,-22, 0> }
  object { Patch3 translate <-46,-21, 0> }
  object { Patch2 translate <-46,-20, 0> }
  object { Patch1 translate <-46,-19, 0> }
  object { Patch1 translate <-46,-18, 0> }
  object { Patch0 translate <-46,-17, 0> }
  object { Patch3 translate <-46,-16, 0> }
  object { Patch2 translate <-46,-15, 0> }
  object { Patch0 translate <-46,-14, 0> }
  object { Patch0 translate <-46,-13, 0> }
  object { Patch1 translate <-46,-12, 0> }
  object { Patch3 translate <-46,-11, 0> }
  object { Patch3 translate <-46,-10, 0> }
  object { Patch2 translate <-46, -9, 0> }
  object { Patch0 translate <-46, -8, 0> }
  object { Patch1 translate <-46, -7, 0> }
  object { Patch3 translate <-46, -6, 0> }
  object { Patch2 translate <-46, -5, 0> }
  object { Patch1 translate <-46, -4, 0> }
  object { Patch1 translate <-46, -3, 0> }
  object { Patch0 translate <-46, -2, 0> }
  object { Patch3 translate <-46, -1, 0> }
  object { Patch2 translate <-46,  0, 0> }
  object { Patch2 translate <-46,  1, 0> }
  object { Patch1 translate <-46,  2, 0> }
  object { Patch0 translate <-46,  3, 0> }
  object { Patch3 translate <-46,  4, 0> }
  object { Patch1 translate <-46,  5, 0> }
  object { Patch0 translate <-46,  6, 0> }
  object { Patch2 translate <-46,  7, 0> }
  object { Patch3 translate <-46,  8, 0> }
  object { Patch3 translate <-46,  9, 0> }
  object { Patch2 translate <-46, 10, 0> }
  object { Patch1 translate <-46, 11, 0> }
  object { Patch1 translate <-46, 12, 0> }
  object { Patch0 translate <-46, 13, 0> }
  object { Patch3 translate <-46, 14, 0> }
  object { Patch1 translate <-46, 15, 0> }
//  object { Patch2 translate <-46, 16, 0> }
//  object { Patch2 translate <-46, 17, 0> }

  object { Patch2 translate <-45,-26, 0> }
  object { Patch3 translate <-45,-25, 0> }
  object { Patch1 translate <-45,-24, 0> }
  object { Patch3 translate <-45,-23, 0> }
  object { Patch1 translate <-45,-22, 0> }
  object { Patch2 translate <-45,-21, 0> }
  object { Patch1 translate <-45,-20, 0> }
  object { Patch3 translate <-45,-19, 0> }
  object { Patch1 translate <-45,-18, 0> }
  object { Patch0 translate <-45,-17, 0> }
  object { Patch2 translate <-45,-16, 0> }
  object { Patch2 translate <-45,-15, 0> }
  object { Patch3 translate <-45,-14, 0> }
  object { Patch3 translate <-45,-13, 0> }
/*  object { Patch1 translate <-45,-12, 0> }
  object { Patch3 translate <-45,-11, 0> }
  object { Patch3 translate <-45,-10, 0> }
  object { Patch2 translate <-45, -9, 0> }
  object { Patch1 translate <-45, -8, 0> }
  object { Patch2 translate <-45, -7, 0> }*/
  object { Patch2 translate <-45, -6, 0> }
  object { Patch3 translate <-45, -5, 0> }
  object { Patch2 translate <-45, -4, 0> }
  object { Patch1 translate <-45, -3, 0> }
  object { Patch1 translate <-45, -2, 0> }
  object { Patch0 translate <-45, -1, 0> }
  object { Patch0 translate <-45,  0, 0> }
  object { Patch3 translate <-45,  1, 0> }
  object { Patch2 translate <-45,  2, 0> }
  object { Patch1 translate <-45,  3, 0> }
  object { Patch0 translate <-45,  4, 0> }
  object { Patch3 translate <-45,  5, 0> }
  object { Patch2 translate <-45,  6, 0> }
  object { Patch1 translate <-45,  7, 0> }
  object { Patch1 translate <-45,  8, 0> }
  object { Patch2 translate <-45,  9, 0> }
  object { Patch3 translate <-45, 10, 0> }
  object { Patch3 translate <-45, 11, 0> }
  object { Patch2 translate <-45, 12, 0> }
  object { Patch2 translate <-45, 13, 0> }
  object { Patch0 translate <-45, 14, 0> }
  object { Patch1 translate <-45, 15, 0> }
  object { Patch3 translate <-45, 16, 0> }
  object { Patch3 translate <-45, 17, 0> }
 
 //  object { Patch3 translate <-44, -5, 0> }
  object { Patch2 translate <-44,-30, 0> }
  object { Patch2 translate <-44,-29, 0> }
  object { Patch3 translate <-44,-28, 0> }
  object { Patch1 translate <-44,-27, 0> }
  object { Patch2 translate <-44,-26, 0> }
  object { Patch0 translate <-44,-25, 0> }
  object { Patch3 translate <-44,-24, 0> }
  object { Patch1 translate <-44,-23, 0> }
  object { Patch2 translate <-44,-22, 0> }
  object { Patch3 translate <-44,-21, 0> }
  object { Patch1 translate <-44,-20, 0> }
  object { Patch0 translate <-44,-19, 0> }
  object { Patch0 translate <-44,-18, 0> }
  object { Patch3 translate <-44,-17, 0> }
  object { Patch1 translate <-44,-16, 0> }
  object { Patch2 translate <-44,-15, 0> }
  object { Patch3 translate <-44,-14, 0> }
  object { Patch0 translate <-44, -4, 0> }
  object { Patch1 translate <-44, -3, 0> }
  object { Patch2 translate <-44, -2, 0> }
  object { Patch3 translate <-44, -1, 0> }
  object { Patch0 translate <-44,  0, 0> }
  object { Patch1 translate <-44,  1, 0> }
  object { Patch1 translate <-44,  2, 0> }
  object { Patch3 translate <-44,  3, 0> }
  object { Patch0 translate <-44,  4, 0> }
  object { Patch2 translate <-44,  5, 0> }
  object { Patch3 translate <-44,  6, 0> }
  object { Patch1 translate <-44,  7, 0> }
  object { Patch3 translate <-44,  8, 0> }
  object { Patch0 translate <-44,  9, 0> }
  object { Patch2 translate <-44, 10, 0> }
  object { Patch1 translate <-44, 11, 0> }
  object { Patch1 translate <-44, 12, 0> }
  object { Patch0 translate <-44, 13, 0> }
  object { Patch0 translate <-44, 14, 0> }
  object { Patch3 translate <-44, 15, 0> }
  object { Patch2 translate <-44, 16, 0> }
  object { Patch1 translate <-44, 17, 0> }
  object { Patch1 translate <-44, 18, 0> }

//  object { Patch1 translate <-43, -4, 0> }
  object { Patch3 translate <-43,-28, 0> }
  object { Patch2 translate <-43,-27, 0> }
  object { Patch0 translate <-43,-26, 0> }
  object { Patch1 translate <-43,-25, 0> }
  object { Patch2 translate <-43,-24, 0> }
  object { Patch0 translate <-43,-23, 0> }
  object { Patch3 translate <-43,-22, 0> }
  object { Patch2 translate <-43,-21, 0> }
  object { Patch0 translate <-43,-20, 0> }
  object { Patch1 translate <-43,-19, 0> }
  object { Patch1 translate <-43,-18, 0> }
  object { Patch2 translate <-43,-17, 0> }
  object { Patch3 translate <-43,-16, 0> }
//  object { Patch1 translate <-43,-15, 0> }
//  object { Patch2 translate <-43,-14, 0> }
  object { Patch2 translate <-43, -3, 0> }
  object { Patch3 translate <-43, -2, 0> }
  object { Patch3 translate <-43, -1, 0> }
  object { Patch2 translate <-43,  0, 0> }
  object { Patch1 translate <-43,  1, 0> }
  object { Patch1 translate <-43,  2, 0> }
  object { Patch0 translate <-43,  3, 0> }
  object { Patch3 translate <-43,  4, 0> }
  object { Patch2 translate <-43,  5, 0> }
  object { Patch2 translate <-43,  6, 0> }
  object { Patch1 translate <-43,  7, 0> }
  object { Patch0 translate <-43,  8, 0> }
  object { Patch1 translate <-43,  9, 0> }
  object { Patch3 translate <-43, 10, 0> }
  object { Patch3 translate <-43, 11, 0> }
  object { Patch0 translate <-43, 12, 0> }
  object { Patch2 translate <-43, 13, 0> }
  object { Patch2 translate <-43, 14, 0> }
  object { Patch0 translate <-43, 15, 0> }
  object { Patch1 translate <-43, 16, 0> }
  object { Patch3 translate <-43, 17, 0> }
  object { Patch2 translate <-43, 18, 0> }

  object { Patch0 translate <-42,-28, 0> }
  object { Patch1 translate <-42,-27, 0> }
  object { Patch1 translate <-42,-26, 0> }
  object { Patch3 translate <-42,-25, 0> }
  object { Patch0 translate <-42,-24, 0> }
  object { Patch2 translate <-42,-23, 0> }
  object { Patch1 translate <-42,-22, 0> }
  object { Patch1 translate <-42,-21, 0> }
  object { Patch3 translate <-42,-20, 0> }
  object { Patch2 translate <-42,-19, 0> }
  object { Patch2 translate <-42,-18, 0> }
  object { Patch1 translate <-42,-17, 0> }
  object { Patch2 translate <-42,-16, 0> }
//  object { Patch0 translate <-42,-15, 0> }
  object { Patch3 translate <-42, -3, 0> }
  object { Patch3 translate <-42, -2, 0> }
  object { Patch2 translate <-42, -1, 0> }
  object { Patch1 translate <-42,  0, 0> }
  object { Patch0 translate <-42,  1, 0> }
  object { Patch3 translate <-42,  2, 0> }
  object { Patch2 translate <-42,  3, 0> }
  object { Patch2 translate <-42,  4, 0> }
  object { Patch1 translate <-42,  5, 0> }
  object { Patch1 translate <-42,  6, 0> }
  object { Patch0 translate <-42,  7, 0> }
  object { Patch3 translate <-42,  8, 0> }
  object { Patch3 translate <-42,  9, 0> }
  object { Patch2 translate <-42, 10, 0> }
  object { Patch2 translate <-42, 11, 0> }
  object { Patch0 translate <-42, 12, 0> }
  object { Patch3 translate <-42, 13, 0> }
  object { Patch1 translate <-42, 14, 0> }
  object { Patch0 translate <-42, 15, 0> }
  object { Patch3 translate <-42, 16, 0> }
  object { Patch2 translate <-42, 17, 0> }
  object { Patch1 translate <-42, 18, 0> }
//  object { Patch1 translate <-42, 19, 0> }
//  object { Patch3 translate <-42, 20, 0> }

  object { Patch2 translate <-41,-28, 0> }
  object { Patch3 translate <-41,-27, 0> }
  object { Patch1 translate <-41,-26, 0> }
  object { Patch3 translate <-41,-25, 0> }
  object { Patch2 translate <-41,-24, 0> }
  object { Patch1 translate <-41,-23, 0> }
  object { Patch0 translate <-41,-22, 0> }
  object { Patch1 translate <-41,-21, 0> }
  object { Patch1 translate <-41,-20, 0> }
  object { Patch3 translate <-41,-19, 0> }
  object { Patch2 translate <-41,-18, 0> }
  object { Patch2 translate <-41,-17, 0> }
//  object { Patch1 translate <-41,-16, 0> }
  object { Patch1 translate <-41, -3, 0> }
  object { Patch3 translate <-41, -2, 0> }
  object { Patch2 translate <-41, -1, 0> }
  object { Patch1 translate <-41,  0, 0> }
  object { Patch0 translate <-41,  1, 0> }
  object { Patch0 translate <-41,  2, 0> }
  object { Patch3 translate <-41,  3, 0> }
  object { Patch2 translate <-41,  4, 0> }
  object { Patch1 translate <-41,  5, 0> }
  object { Patch0 translate <-41,  6, 0> }
  object { Patch3 translate <-41,  7, 0> }
  object { Patch2 translate <-41,  8, 0> }
  object { Patch1 translate <-41,  9, 0> }
  object { Patch3 translate <-41, 10, 0> }
  object { Patch2 translate <-41, 11, 0> }
  object { Patch1 translate <-41, 12, 0> }
  object { Patch0 translate <-41, 13, 0> }
  object { Patch3 translate <-41, 14, 0> }
  object { Patch2 translate <-41, 15, 0> }
  object { Patch1 translate <-41, 16, 0> }
  object { Patch2 translate <-41, 17, 0> }
  object { Patch3 translate <-41, 18, 0> }
  object { Patch1 translate <-41, 19, 0> }
  object { Patch3 translate <-41, 20, 0> }

  object { Patch1 translate <-40,-28, 0> }
  object { Patch2 translate <-40,-27, 0> }
  object { Patch3 translate <-40,-26, 0> }
  object { Patch0 translate <-40,-25, 0> }
  object { Patch2 translate <-40,-24, 0> }
  object { Patch1 translate <-40,-23, 0> }
  object { Patch3 translate <-40,-22, 0> }
  object { Patch2 translate <-40,-21, 0> }
  object { Patch1 translate <-40,-20, 0> }
  object { Patch1 translate <-40,-19, 0> }
  object { Patch0 translate <-40,-18, 0> }
//  object { Pat3h0 translate <-40,-17, 0> }
  object { Patch2 translate <-40, -3, 0> }
  object { Patch0 translate <-40, -2, 0> }
  object { Patch2 translate <-40, -1, 0> }
  object { Patch3 translate <-40,  0, 0> }
  object { Patch1 translate <-40,  1, 0> }
  object { Patch1 translate <-40,  2, 0> }
  object { Patch3 translate <-40,  3, 0> }
  object { Patch2 translate <-40,  4, 0> }
  object { Patch1 translate <-40,  5, 0> }
  object { Patch1 translate <-40,  6, 0> }
  object { Patch0 translate <-40,  7, 0> }
  object { Patch2 translate <-40,  8, 0> }
  object { Patch1 translate <-40,  9, 0> }
  object { Patch3 translate <-40, 10, 0> }
  object { Patch1 translate <-40, 11, 0> }
  object { Patch0 translate <-40, 12, 0> }
  object { Patch2 translate <-40, 13, 0> }
  object { Patch3 translate <-40, 14, 0> }
  object { Patch2 translate <-40, 15, 0> }
  object { Patch1 translate <-40, 16, 0> }
  object { Patch1 translate <-40, 17, 0> }
  object { Patch3 translate <-40, 18, 0> }
  object { Patch1 translate <-40, 19, 0> }
  object { Patch2 translate <-40, 20, 0> }
//  object { Patch2 translate <-40, 21, 0> }

//  object { Patch3 translate <-39, -3, 0> }
  object { Patch3 translate <-39,-28, 0> }
  object { Patch1 translate <-39,-27, 0> }
  object { Patch1 translate <-39,-26, 0> }
  object { Patch3 translate <-39,-25, 0> }
  object { Patch2 translate <-39,-24, 0> }
  object { Patch0 translate <-39,-23, 0> }
  object { Patch1 translate <-39,-22, 0> }
  object { Patch2 translate <-39,-21, 0> }
  object { Patch1 translate <-39,-20, 0> }
  object { Patch3 translate <-39,-19, 0> }
//  object { Patch1 translate <-39,-18, 0> }
//  object { Patch1 translate <-39,-17, 0> }
  object { Patch3 translate <-39, -3, 0> }
  object { Patch2 translate <-39, -2, 0> }
  object { Patch1 translate <-39, -1, 0> }
  object { Patch1 translate <-39,  0, 0> }
  object { Patch0 translate <-39,  1, 0> }
  object { Patch3 translate <-39,  2, 0> }
  object { Patch3 translate <-39,  3, 0> }
  object { Patch3 translate <-39,  4, 0> }
  object { Patch2 translate <-39,  5, 0> }
  object { Patch3 translate <-39,  6, 0> }
  object { Patch2 translate <-39,  7, 0> }
  object { Patch2 translate <-39,  8, 0> }
  object { Patch3 translate <-39,  9, 0> }
  object { Patch1 translate <-39, 10, 0> }
  object { Patch1 translate <-39, 11, 0> }
  object { Patch0 translate <-39, 12, 0> }
  object { Patch3 translate <-39, 13, 0> }
  object { Patch1 translate <-39, 14, 0> }
  object { Patch1 translate <-39, 15, 0> }
  object { Patch0 translate <-39, 16, 0> }
  object { Patch3 translate <-39, 17, 0> }
  object { Patch1 translate <-39, 18, 0> }
  object { Patch1 translate <-39, 19, 0> }
  object { Patch0 translate <-39, 20, 0> }
  object { Patch2 translate <-39, 21, 0> }
                 
  object { Patch3 translate <-38,-28, 0> }
  object { Patch1 translate <-38,-27, 0> }
  object { Patch1 translate <-38,-26, 0> }
  object { Patch3 translate <-38,-25, 0> }
  object { Patch0 translate <-38,-24, 0> }
  object { Patch1 translate <-38,-23, 0> }
  object { Patch0 translate <-38,-22, 0> }
  object { Patch3 translate <-38,-21, 0> }
  object { Patch2 translate <-38,-20, 0> }
  object { Patch1 translate <-38,-19, 0> }
//  object { Patch1 translate <-38,-18, 0> }
//  object { Patch1 translate <-38,-17, 0> }
  object { Patch3 translate <-38, -3, 0> }
  object { Patch1 translate <-38, -2, 0> }
  object { Patch1 translate <-38, -1, 0> }
  object { Patch0 translate <-38,  0, 0> }
  object { Patch3 translate <-38,  1, 0> }
  object { Patch2 translate <-38,  2, 0> }
  object { Patch1 translate <-38,  3, 0> }
  object { Patch1 translate <-38,  4, 0> }
  object { Patch0 translate <-38,  5, 0> }
  object { Patch3 translate <-38,  6, 0> }
  object { Patch2 translate <-38,  7, 0> }
  object { Patch2 translate <-38,  8, 0> }
  object { Patch3 translate <-38,  9, 0> }
  object { Patch1 translate <-38, 10, 0> }
  object { Patch1 translate <-38, 11, 0> }
  object { Patch3 translate <-38, 12, 0> }
  object { Patch3 translate <-38, 13, 0> }
  object { Patch2 translate <-38, 14, 0> }
  object { Patch1 translate <-38, 15, 0> }
  object { Patch2 translate <-38, 16, 0> }
  object { Patch3 translate <-38, 17, 0> }
  object { Patch0 translate <-38, 18, 0> }
  object { Patch3 translate <-38, 19, 0> }
  object { Patch0 translate <-38, 20, 0> }
  object { Patch2 translate <-38, 21, 0> }
                 
  object { Patch1 translate <-37,-28, 0> }
  object { Patch2 translate <-37,-27, 0> }
  object { Patch1 translate <-37,-26, 0> }
  object { Patch1 translate <-37,-25, 0> }
  object { Patch3 translate <-37,-24, 0> }
  object { Patch3 translate <-37,-23, 0> }
  object { Patch1 translate <-37,-22, 0> }
  object { Patch3 translate <-37,-21, 0> }
  object { Patch2 translate <-37,-20, 0> }
  object { Patch0 translate <-37,-19, 0> }
//  object { Patch3 translate <-37,-18, 0> }
//  object { Patch0 translate <-37,-17, 0> }
//  object { Patch0 translate <-37, -3, 0> }
  object { Patch3 rotate 45*z translate <-37, -2, 0> }
  object { Patch1 translate <-37, -1, 0> }
  object { Patch1 translate <-37,  0, 0> }
  object { Patch0 translate <-37,  1, 0> }
  object { Patch2 translate <-37,  2, 0> }
  object { Patch0 translate <-37,  3, 0> }
  object { Patch3 translate <-37,  4, 0> }
  object { Patch0 translate <-37,  5, 0> }
  object { Patch2 translate <-37,  6, 0> }
  object { Patch1 translate <-37,  7, 0> }
  object { Patch1 translate <-37,  8, 0> }
  object { Patch3 translate <-37,  9, 0> }
  object { Patch2 translate <-37, 10, 0> }
  object { Patch0 translate <-37, 11, 0> }
  object { Patch3 translate <-37, 12, 0> }
  object { Patch2 translate <-37, 13, 0> }
  object { Patch1 translate <-37, 14, 0> }
  object { Patch1 translate <-37, 15, 0> }
  object { Patch0 translate <-37, 16, 0> }
  object { Patch3 translate <-37, 17, 0> }
  object { Patch2 translate <-37, 18, 0> }
  object { Patch1 translate <-37, 19, 0> }
  object { Patch0 translate <-37, 20, 0> }
  object { Patch3 translate <-37, 21, 0> }
                 
  object { Patch1 translate <-36,-28, 0> }
  object { Patch3 translate <-36,-27, 0> }
  object { Patch2 translate <-36,-26, 0> }
  object { Patch0 translate <-36,-25, 0> }
  object { Patch3 translate <-36,-24, 0> }
  object { Patch1 translate <-36,-23, 0> }
  object { Patch1 translate <-36,-22, 0> }
  object { Patch3 translate <-36,-21, 0> }
  object { Patch2 translate <-36,-20, 0> }
//  object { Patch0 translate <-36,-19, 0> }
//  object { Patch0 translate <-36,-18, 0> }
//  object { Patch0 translate <-36, -5, 0> }
//  object { Patch0 translate <-36, -4, 0> }
//  object { Patch0 translate <-36, -3, 0> }
//  object { Patch0 translate <-36, -2, 0> }
  object { Patch3 translate <-36, -1, 0> }
  object { Patch2 translate <-36,  0, 0> }
  object { Patch1 translate <-36,  1, 0> }
  object { Patch1 translate <-36,  2, 0> }
  object { Patch3 translate <-36,  3, 0> }
  object { Patch2 translate <-36,  4, 0> }
  object { Patch1 translate <-36,  5, 0> }
  object { Patch1 translate <-36,  6, 0> }
  object { Patch3 translate <-36,  7, 0> }
  object { Patch3 translate <-36,  8, 0> }
  object { Patch0 translate <-36,  9, 0> }
  object { Patch2 translate <-36, 10, 0> }
  object { Patch1 translate <-36, 11, 0> }
  object { Patch3 translate <-36, 12, 0> }
  object { Patch1 translate <-36, 13, 0> }
  object { Patch2 translate <-36, 14, 0> }
  object { Patch3 translate <-36, 15, 0> }
  object { Patch0 translate <-36, 16, 0> }
  object { Patch0 translate <-36, 17, 0> }
  object { Patch1 translate <-36, 18, 0> }
  object { Patch3 translate <-36, 19, 0> }
  object { Patch2 translate <-36, 20, 0> }
  object { Patch0 translate <-36, 21, 0> }

  object { Patch3 translate <-35,-27, 0> }
  object { Patch1 translate <-35,-26, 0> }
  object { Patch2 translate <-35,-25, 0> }
  object { Patch2 translate <-35,-24, 0> }
  object { Patch1 translate <-35,-23, 0> }
  object { Patch3 translate <-35,-22, 0> }
  object { Patch0 translate <-35,-21, 0> }
//  object { Patch0 translate <-35,-20, 0> }
//  object { Patch0 translate <-35,-19, 0> }
//  object { Patch0 translate <-35, -1, 0> }
  object { Patch3 translate <-35,  0, 0> }
  object { Patch1 translate <-35,  1, 0> }
  object { Patch1 translate <-35,  2, 0> }
  object { Patch2 translate <-35,  3, 0> }
  object { Patch3 translate <-35,  4, 0> }
  object { Patch1 translate <-35,  5, 0> }
  object { Patch1 translate <-35,  6, 0> }
  object { Patch3 translate <-35,  7, 0> }
  object { Patch1 translate <-35,  8, 0> }
  object { Patch2 translate <-35,  9, 0> }
  object { Patch3 translate <-35, 10, 0> }
  object { Patch3 translate <-35, 11, 0> }
  object { Patch0 translate <-35, 12, 0> }
  object { Patch1 translate <-35, 13, 0> }
  object { Patch3 translate <-35, 14, 0> }
  object { Patch2 translate <-35, 15, 0> }
  object { Patch2 translate <-35, 16, 0> }
  object { Patch0 translate <-35, 17, 0> }
  object { Patch3 translate <-35, 18, 0> }
  object { Patch1 translate <-35, 19, 0> }
  object { Patch1 translate <-35, 20, 0> }
  object { Patch2 translate <-35, 21, 0> }

  object { Patch2 translate <-34,-26, 0> }
  object { Patch1 translate <-34,-25, 0> }
  object { Patch1 translate <-34,-24, 0> }
  object { Patch2 translate <-34,-23, 0> }
  object { Patch3 translate <-34,-22, 0> }
  object { Patch1 translate <-34,-21, 0> }
//  object { Patch0 translate <-34,-20, 0> }
//  object { Patch0 translate <-34,-19, 0> }
//  object { Patch0 translate <-34,  3, 0> }
//  object { Patch0 translate <-34,  4, 0> }
//  object { Patch0 translate <-34,  5, 0> }
//  object { Patch0 translate <-34,  6, 0> }
  object { Patch1 translate <-34,  7, 0> }
  object { Patch1 translate <-34,  8, 0> }
  object { Patch3 translate <-34,  9, 0> }
  object { Patch2 translate <-34, 10, 0> }
  object { Patch2 translate <-34, 11, 0> }
  object { Patch3 translate <-34, 12, 0> }
  object { Patch1 translate <-34, 13, 0> }
  object { Patch2 translate <-34, 14, 0> }
  object { Patch3 translate <-34, 15, 0> }
  object { Patch2 translate <-34, 16, 0> }
  object { Patch3 translate <-34, 17, 0> }
  object { Patch3 translate <-34, 18, 0> }
  object { Patch1 translate <-34, 19, 0> }
  object { Patch0 translate <-34, 20, 0> }
  object { Patch3 translate <-34, 21, 0> }

//  object { Patch0 translate <-33,-27, 0> }
  object { Patch1 translate <-33,-26, 0> }
  object { Patch3 translate <-33,-25, 0> }
  object { Patch1 translate <-33,-24, 0> }
  object { Patch2 translate <-33,-23, 0> }
  object { Patch3 translate <-33,-22, 0> }
  object { Patch0 translate <-33,-21, 0> }
//  object { Patch0 translate <-33,-20, 0> }
//  object { Patch0 translate <-33,  5, 0> }
//  object { Patch0 translate <-33,  6, 0> }
//  object { Patch0 translate <-33,  7, 0> }
//  object { Patch0 translate <-33,  8, 0> }
//  object { Patch0 translate <-33,  9, 0> }
  object { Patch3 translate <-33, 10, 0> }
  object { Patch1 translate <-33, 11, 0> }
  object { Patch2 translate <-33, 12, 0> }
  object { Patch3 translate <-33, 13, 0> }
  object { Patch1 translate <-33, 14, 0> }
  object { Patch0 translate <-33, 15, 0> }
  object { Patch1 translate <-33, 16, 0> }
  object { Patch3 translate <-33, 17, 0> }
  object { Patch2 translate <-33, 18, 0> }
  object { Patch0 translate <-33, 19, 0> }
  object { Patch1 translate <-33, 20, 0> }
  object { Patch3 translate <-33, 21, 0> }
                 
  object { Patch3 translate <-32,-25, 0> }
  object { Patch1 translate <-32,-24, 0> }
  object { Patch3 translate <-32,-23, 0> }
  object { Patch0 translate <-32,-22, 0> }
  object { Patch3 translate <-32,-21, 0> }
//  object { Patch0 translate <-32, 11, 0> }
//  object { Patch0 translate <-32, 12, 0> }
  object { Patch1 translate <-32, 13, 0> }
  object { Patch2 translate <-32, 14, 0> }
  object { Patch3 translate <-32, 15, 0> }
  object { Patch0 translate <-32, 16, 0> }
  object { Patch0 translate <-32, 17, 0> }
  object { Patch3 translate <-32, 18, 0> }
  object { Patch1 translate <-32, 19, 0> }
  object { Patch2 translate <-32, 20, 0> }
  object { Patch0 translate <-32, 21, 0> }

  object { Patch2 translate <-31,-25, 0> }
  object { Patch1 translate <-31,-24, 0> }
  object { Patch3 translate <-31,-23, 0> }
  object { Patch0 translate <-31,-22, 0> }
  object { Patch2 translate <-31,-21, 0> }
  object { Patch3 translate <-31, 13, 0> }
  object { Patch1 translate <-31, 14, 0> }
  object { Patch1 translate <-31, 15, 0> }
  object { Patch0 translate <-31, 16, 0> }
  object { Patch1 translate <-31, 17, 0> }
  object { Patch1 translate <-31, 18, 0> }
  object { Patch0 translate <-31, 19, 0> }
  object { Patch3 translate <-31, 20, 0> }
  object { Patch2 translate <-31, 21, 0> }
                 
  object { Patch3 translate <-30,-25, 0> }
  object { Patch0 translate <-30,-24, 0> }
  object { Patch1 translate <-30,-23, 0> }
  object { Patch0 translate <-30,-22, 0> }
  object { Patch2 translate <-30,-21, 0> }
//  object { Patch0 translate <-30,-20, 0> }
//  object { Patch0 translate <-30,-19, 0> }
//  object { Patch0 translate <-30,-18, 0> }

//  object { Patch0 translate <-30, 14, 0> }
  object { Patch3 translate <-30, 15, 0> }
  object { Patch1 translate <-30, 16, 0> }
  object { Patch2 translate <-30, 17, 0> }
  object { Patch1 translate <-30, 18, 0> }
  object { Patch3 translate <-30, 19, 0> }
  object { Patch0 translate <-30, 20, 0> }
  object { Patch3 translate <-30, 21, 0> }
                 
//  object { Patch0 translate <-29,-25, 0> }
  object { Patch1 translate <-29,-24, 0> }
  object { Patch2 translate <-29,-23, 0> }
  object { Patch0 translate <-29,-22, 0> }
  object { Patch3 translate <-29,-21, 0> }
  object { Patch1 translate <-29, 15.5, 0> }
  object { Patch2 translate <-29, 16, 0> }
  object { Patch0 translate <-29, 17, 0> }
  object { Patch3 translate <-29, 18, 0> }
  object { Patch2 translate <-29, 19, 0> }
  object { Patch2 translate <-29, 20, 0> }
  object { Patch1 translate <-29, 21, 0> }
                 
//  object { Patch0 translate <-28,-25, 0> }
//  object { Patch0 translate <-28,-24, 0> }
  object { Patch0 translate <-28,-23, 0> }
  object { Patch3 translate <-28,-22, 0> }
  object { Patch1 translate <-28,-21, 0> }
//  object { Patch0 translate <-28, 15, 0> }
  object { Patch0 translate <-28, 16, 0> }
  object { Patch2 translate <-28, 17, 0> }
  object { Patch1 translate <-28, 18, 0> }
  object { Patch3 translate <-28, 19, 0> }
  object { Patch2 translate <-28, 20, 0> }
  object { Patch1 translate <-28, 21, 0> }

//  object { Patch0 translate <-27,-25, 0> }
// object { Patch0 translate <-27,-24, 0> }
//  object { Patch0 translate <-27,-23, 0> }
  object { Patch0 translate <-27,-22, 0> }
  object { Patch3 translate <-27,-21, 0> }
  object { Patch1 translate <-27,-20, 0> }
  object { Patch0 translate <-27,-19, 0> }
  object { Patch2 translate <-27,-18, 0> }
  object { Patch3 translate <-27,-17, 0> }
  object { Patch0 translate <-26.5,-16, 0> }
                 
  object { Patch3 translate <-27,-15, 0> }
  object { Patch1 translate <-27,-14, 0> }

//  object { Patch0 translate <-27, 15, 0> }
  object { Patch0 translate <-27, 16, 0> }
  object { Patch0 translate <-27, 17, 0> }
  object { Patch0 translate <-27, 18, 0> }
  object { Patch0 translate <-27, 19, 0> }
  object { Patch0 translate <-27, 20, 0> }
  object { Patch0 translate <-27, 21, 0> }
  object { Patch0 translate <-26,-20, 0> } 
  object { Patch0 translate <-26,-19, 0> } 
  object { Patch0 translate <-26,-18, 0> }
  object { Patch0 translate <-26,-17, 0> } 
  object { Patch0 translate <-26,-16, 0> }
  object { Patch0 translate <-26,-15, 0> } 
  object { Patch0 translate <-26,-14, 0> }
  object { Patch0 translate <-26,-13, 0> } 
  object { Patch0 translate <-26,-12, 0> }
  object { Patch0 translate <-26,-11, 0> }
  object { Patch0 translate <-26,-10, 0> } 
  object { Patch0 translate <-26, -9, 0> }
  object { Patch0 translate <-26, -8, 0> }
  object { Patch0 translate <-26,15.5, 0> }
  object { Patch0 translate <-26, 16, 0> }
  object { Patch0 translate <-26, 17, 0> }
  object { Patch0 translate <-26, 18, 0> }
  object { Patch0 translate <-26, 19, 0> }
  object { Patch0 translate <-26, 20, 0> }
  object { Patch0 translate <-26, 21, 0> }

  object { Patch0 translate <-25,-20, 0> } 
  object { Patch0 translate <-25,-19, 0> } 
  object { Patch0 translate <-25,-18, 0> }
  object { Patch0 translate <-25,-17, 0> } 
  object { Patch0 translate <-25,-16, 0> }
  object { Patch0 translate <-25,-15, 0> } 
  object { Patch0 translate <-25,-14, 0> }
  object { Patch0 translate <-25,-13, 0> } 
  object { Patch0 translate <-25,-12, 0> }
  object { Patch0 translate <-25,-11, 0> }
  object { Patch0 translate <-25,-10, 0> } 
  object { Patch0 translate <-25, -9, 0> }
  object { Patch0 translate <-25, -8, 0> }
//  object { Patch0 translate <-25, 15, 0> }
  object { Patch0 translate <-25, 16, 0> }
  object { Patch0 translate <-25, 17, 0> }
  object { Patch0 translate <-25, 18, 0> }
  object { Patch0 translate <-25, 19, 0> }
  object { Patch0 translate <-25, 20, 0> }

  object { Patch0 translate <-24,-20, 0> } 
  object { Patch0 translate <-24,-19, 0> } 
  object { Patch0 translate <-24,-18, 0> }
  object { Patch0 translate <-24,-17, 0> } 
  object { Patch0 translate <-24,-16, 0> }
  object { Patch0 translate <-24,-15, 0> } 
  object { Patch0 translate <-24,-14, 0> }
  object { Patch0 translate <-24,-13, 0> } 
  object { Patch0 translate <-24,-12, 0> }
  object { Patch0 translate <-24,-11, 0> }
  object { Patch0 translate <-24,-10, 0> } 
  object { Patch0 translate <-24, -9, 0> }
  object { Patch0 translate <-24, -8, 0> }
  object { Patch0 translate <-24, 15, 0> }
  object { Patch0 translate <-24, 16, 0> }
  object { Patch0 translate <-24, 17, 0> }
  object { Patch0 translate <-24, 18, 0> }
  object { Patch0 translate <-24, 19, 0> }
  object { Patch0 translate <-24, 20, 0> }

  object { Patch0 translate <-23,-19, 0> } 
  object { Patch0 translate <-23,-18, 0> }
  object { Patch0 translate <-23,-17, 0> } 
  object { Patch0 translate <-23,-16, 0> }
  object { Patch0 translate <-23,-15, 0> } 
  object { Patch0 translate <-23,-14, 0> }
  object { Patch0 translate <-23,-13, 0> } 
  object { Patch0 translate <-23,-12, 0> }
  object { Patch0 translate <-23,-11, 0> }
  object { Patch0 translate <-23,-10, 0> } 
  object { Patch0 translate <-23, -9, 0> }
  object { Patch0 translate <-23, -8, 0> }
//  object { Patch0 translate <-23, 14, 0> }
  object { Patch0 translate <-23, 15, 0> }
  object { Patch0 translate <-23, 16, 0> }
  object { Patch0 translate <-23, 17, 0> }
  object { Patch0 translate <-23, 18, 0> }
  object { Patch0 translate <-23, 19, 0> }
  object { Patch0 translate <-23, 20, 0> }

  object { Patch0 translate <-22,-19, 0> } 
  object { Patch0 translate <-22,-18, 0> }
  object { Patch0 translate <-22,-17, 0> } 
  object { Patch0 translate <-22,-16, 0> }
  object { Patch0 translate <-22,-15, 0> } 
  object { Patch0 translate <-22,-14, 0> }
  object { Patch0 translate <-22,-13, 0> } 
  object { Patch0 translate <-22,-12, 0> }
  object { Patch0 translate <-22,-11, 0> }
  object { Patch0 translate <-22,-10, 0> } 
  object { Patch0 translate <-22, -9, 0> }
  object { Patch0 translate <-22, 14, 0> }
  object { Patch0 translate <-22, 15, 0> }
  object { Patch0 translate <-22, 16, 0> }
  object { Patch0 translate <-22, 17, 0> }
  object { Patch0 translate <-22, 18, 0> }
  object { Patch0 translate <-22, 19, 0> }
  object { Patch0 translate <-22, 20, 0> }
                              
//  object { Patch0 translate <-21,-19, 0> } 
  object { Patch0 translate <-21,-18, 0> }
  object { Patch3 translate <-21,-17, 0> } 
  object { Patch3 translate <-21,-16, 0> }
  object { Patch1 translate <-21,-15, 0> } 
  object { Patch0 translate <-21,-14, 0> }
  object { Patch2 translate <-21,-13, 0> } 
  object { Patch0 translate <-21,-12, 0> }
  object { Patch3 translate <-21,-11, 0> }
  object { Patch2 translate <-21,-10, 0> } 
  object { Patch0 translate <-21, -9, 0> }
//  object { Patch0 translate <-21, 13, 0> }
  object { Patch2 translate <-21, 14, 0> }
  object { Patch1 translate <-21, 15, 0> }
  object { Patch1 translate <-21, 16, 0> }
  object { Patch3 translate <-21, 17, 0> }
  object { Patch2 translate <-21, 18, 0> }
  object { Patch0 translate <-21, 19, 0> }

//  object { Patch0 translate <-20,-19, 0> } 
  object { Patch0 translate <-20,-18, 0> }
  object { Patch3 translate <-20,-17, 0> } 
  object { Patch2 translate <-20,-16, 0> }
  object { Patch1 translate <-20,-15, 0> } 
  object { Patch0 translate <-20,-14, 0> }
  object { Patch1 translate <-20,-13, 0> } 
  object { Patch2 translate <-20,-12, 0> }
  object { Patch3 translate <-20,-11, 0> }
  object { Patch3 translate <-20,-10, 0> } 
  object { Patch0 translate <-20, -9, 0> }
//  object { Patch0 translate <-20,-8, 0> }
  object { Patch3 translate <-20, 13, 0> }
  object { Patch1 translate <-20, 14, 0> }
  object { Patch1 translate <-20, 15, 0> }
  object { Patch0 translate <-20, 16, 0> }
  object { Patch2 translate <-20, 17, 0> }
  object { Patch3 translate <-20, 18, 0> }
//  object { Patch0 translate <-20, 19, 0> }

//  object { Patch0 translate <-19,-19, 0> } 
//  object { Patch0 translate <-19,-18, 0> }
  object { Patch1 translate <-19,-17, 0> } 
  object { Patch3 translate <-19,-16, 0> }
  object { Patch2 translate <-19,-15, 0> } 
  object { Patch1 translate <-19,-14, 0> }
  object { Patch0 translate <-19,-13, 0> } 
  object { Patch3 translate <-19,-12, 0> }
  object { Patch2 translate <-19,-11, 0> }
  object { Patch1 translate <-19,-10, 0> } 
  object { Patch0 translate <-19, -9, 0> }
//  object { Patch0 translate <-19,-8, 0> }
  object { Patch3 translate <-19, 13, 0> }
  object { Patch1 translate <-19, 14, 0> }
  object { Patch0 translate <-19, 15, 0> }
  object { Patch3 translate <-19, 16, 0> }
  object { Patch2 translate <-19, 17, 0> }
//  object { Patch0 translate <-19, 18, 0> }
//  object { Patch0 translate <-19, 19, 0> }

  object { Patch1 translate <-18,-16, 0> } 
  object { Patch3 translate <-18,-15, 0> } 
  object { Patch2 translate <-18,-14, 0> }
  object { Patch2 translate <-18,-13, 0> } 
  object { Patch3 translate <-18,-12, 0> }
  object { Patch0 translate <-18,-11, 0> }
  object { Patch1 translate <-18,-10, 0> } 
  object { Patch2 translate <-18, -9, 0> }
//  object { Patch0 translate <-18,-8, 0> }
  object { Patch0 translate <-18, 13, 0> }
  object { Patch0 translate <-18, 14, 0> }
  object { Patch0 translate <-18, 15, 0> }
  object { Patch0 translate <-18, 16, 0> }
  object { Patch0 translate <-18, 17, 0> }
//  object { Patch0 translate <-18, 18, 0> }
//  object { Patch0 translate <-18, 19, 0> }

  object { Patch0 translate <-17,-10, 0> } 
  object { Patch2 translate <-17, -9, 0> }
  object { Patch1 translate <-17,-15, 0> }
  object { Patch1 translate <-17,-14, 0> }
  object { Patch3 translate <-17,-13, 0> } 
  object { Patch0 translate <-17,-12, 0> }
  object { Patch2 translate <-17,-11, 0> }
  object { Patch1 translate <-17, 13, 0> }
  object { Patch1 translate <-17, 14, 0> }
//  object { Patch0 translate <-18, 15, 0> }
//  object { Patch0 translate <-18, 16, 0> }
//  object { Patch0 translate <-18, 17, 0> }
  
  object { Patch0 translate <-16,-10, 0> } 
  object { Patch1 translate <-16, -9, 0> }
  object { Patch0 translate <-16,-15, 0> }
  object { Patch3 translate <-16,-14, 0> }
  object { Patch2 translate <-16,-13, 0> } 
  object { Patch0 translate <-16,-12, 0> }
  object { Patch1 translate <-16,-11, 0> }
  object { Patch1 translate <-16, 13, 0> }
  object { Patch2 translate <-16, 14, 0> }

//  object { Patch0 translate <-15,-16, 0> }

  object { Patch1 translate <-15,-14, 0> }
  object { Patch0 translate <-15,-13, 0> } 
  object { Patch3 translate <-15,-12, 0> }
  object { Patch2 translate <-15,-11, 0> }
  object { Patch0 translate <-15,-10, 0> } 
  object { Patch2 translate <-15, -9, 0> }
  object { Patch1 translate <-15, 13, 0> }
  object { Patch3 translate <-15, 14, 0> }

  object { Patch1 translate <-14,-14, 0> }
  object { Patch0 translate <-14,-13, 0> } 
  object { Patch3 translate <-14,-12, 0> }
  object { Patch2 translate <-14,-11, 0> }
  object { Patch2 translate <-14,-10, 0> } 
  object { Patch1 translate <-14, -9, 0> }
  object { Patch0 translate <-14, 12, 0> }
  object { Patch3 translate <-14, 13, 0> }
  object { Patch2 translate <-14, 14, 0> }
 
  object { Patch0 translate <-13,-13, 0> } 
  object { Patch3 translate <-13,-12, 0> } 
  object { Patch2 translate <-13,-11, 0> }  
  object { Patch1 translate <-13,-10, 0> } 
  object { Patch1 translate <-13, -9, 0> }
  object { Patch0 translate <-13, 11, 0> }
  object { Patch3 translate <-13, 12, 0> }
  object { Patch3 translate <-13, 13, 0> }
  object { Patch2 translate <-13, 14, 0> }

  object { Patch3 translate <-12,-12, 0> } 
  object { Patch0 translate <-12,-11, 0> }    
  object { Patch1 translate <-12,-10, 0> } 
  object { Patch1 translate <-12, -9, 0> }
  object { Patch3 translate <-12, 11, 0> }

  object { Patch0 translate <-11,-12, 0> } 
  object { Patch3 translate <-11,-11, 0> } 
  object { Patch2 translate <-11,-10, 0> } 
  object { Patch1 translate <-11, -9, 0> }
  object { Patch1 translate <-11, 10, 0> }
  object { Patch2 translate <-11, 11, 0> }

  object { Patch0 translate <-10,-11, 0> }    
  object { Patch1 translate <-10,-10, 0> } 
  object { Patch0 translate <-10, -9, 0> } 
  object { Patch3 translate <-10, -8, 0> } 
  object { Patch2 translate <-10, 10, 0> }
  object { Patch2 translate <-10, 11, 0> }

  object { Patch0 translate < -9,-11, 0> }    
  object { Patch3 translate < -9,-10, 0> } 
  object { Patch2 translate < -9, -9, 0> } 
  object { Patch0 translate < -9, -8, 0> } 
  object { Patch1 translate < -9,  9, 0> }
//  object { Patch0 translate < -9, 10, 0> }

  object { Patch0 translate < -8,-10, 0> } 
  object { Patch1 translate < -8, -9, 0> } 
  object { Patch0 translate < -8, -8, 0> } 
  object { Patch3 translate < -8, -7, 0> } 
  object { Patch2 translate < -8,  8, 0> }
//  object { Patch0 translate < -9, 10, 0> }

  object { Patch1 translate < -7,-10, 0> } 
  object { Patch2 translate < -7, -9, 0> } 
  object { Patch0 translate < -7, -8, 0> } 
  object { Patch3 translate < -7, -7, 0> } 
  object { Patch3 translate < -7, -6, 0> } 
  object { Patch0 translate < -7,  7, 0> }
  object { Patch1 translate < -7,  8, 0> }

  object { Patch1 translate < -6,-10, 0> } 
  object { Patch1 translate < -6, -9, 0> } 
  object { Patch3 translate < -6, -8, 0> } 
  object { Patch0 translate < -6, -7, 0> } 
  object { Patch2 translate < -6, -3, 0> }
  object { Patch0 translate < -6, -4, 0> } 
  object { Patch1 translate < -6, -5, 0> } 
  object { Patch3 translate < -6, -6, 0> } 
  object { Patch1 translate < -6,  6, 0> }
  object { Patch0 translate < -6,  7, 0> }
  object { Patch2 translate < -6,  8, 0> }

  object { Patch1 translate < -5,  4, 0> }
  object { Patch0 translate < -5, -3, 0> }
  object { Patch3 translate < -5, -4, 0> } 
  object { Patch3 translate < -5, -5, 0> } 
  object { Patch2 translate < -5, -6, 0> } 
  object { Patch1 translate < -5, -7, 0> } 
  object { Patch1 translate < -5, -8, 0> } 
  object { Patch0 translate < -5, -9, 0> } 
  object { Patch3 translate < -5,  5, 0> }
  object { Patch1 translate < -5,  6, 0> }
  object { Patch1 translate < -5,  7, 0> }

  object { Patch1 translate < -4, -1, 0> }
  object { Patch3 translate < -4, -2, 0> }
  object { Patch2 translate < -4, -3, 0> }
  object { Patch0 translate < -4, -4, 0> } 
  object { Patch0 translate < -4, -5, 0> } 
  object { Patch1 translate < -4, -6, 0> } 
  object { Patch1 translate < -4, -7, 0> } 
  object { Patch3 translate < -4, -8, 0> } 
  object { Patch3 translate < -4, -9, 0> } 
  object { Patch1 translate < -4,  0, 0> } 
  object { Patch3 translate < -4,  1, 0> } 
  object { Patch2 translate < -4,  2, 0> } 
  object { Patch1 translate < -4,  3, 0> }
  object { Patch2 translate < -4,  4, 0> }

  object { Patch1 translate < -3,  3, 0> } 
  object { Patch0 translate < -3,  2, 0> } 
  object { Patch3 translate < -3,  1, 0> }
  object { Patch1 translate < -3,  0, 0> }
  object { Patch2 translate < -3, -1, 0> }
  object { Patch1 translate < -3, -2, 0> }
  object { Patch2 translate < -3, -3, 0> }
  object { Patch0 translate < -3, -4, 0> } 
  object { Patch3 translate < -3, -5, 0> } 
  object { Patch0 translate < -3, -6, 0> } 
  object { Patch1 translate < -3, -7, 0> } 
//  object { Patch0 translate < -3,-6.5,0> } 
  object { Patch0 translate < -3, -8, 0> } 


  object { Patch0 translate < -2,  3, 0> } 
  object { Patch1 translate < -2,  2, 0> } 
  object { Patch0 translate < -2,  1, 0> }
  object { Patch3 translate < -2,  0, 0> }
  object { Patch1 translate < -2, -1, 0> }
  object { Patch1 translate < -2, -2, 0> }
  object { Patch3 translate < -2, -3, 0> }
  object { Patch2 translate < -2, -4, 0> }
  object { Patch1 translate < -2, -5, 0> }
  object { Patch0 translate < -2, -6, 0> } 
  object { Patch3 translate < -2, -7, 0> }
  object { Patch0 translate < -2, -8, 0> }
  
  object { Patch3 translate < -1,  1, 0> }
  object { Patch0 translate < -1,  0, 0> }
  object { Patch1 translate < -1, -1, 0> }
  object { Patch0 translate < -1, -2, 0> }
  object { Patch3 translate < -1, -3, 0> }
  object { Patch2 translate < -1, -4, 0> }
  object { Patch1 translate < -1, -5, 0> }
  object { Patch1 translate < -1, -6, 0> }
  object { Patch3 translate < -1, -7, 0> }

  object { Patch2 translate <  0,  1, 0> }
  object { Patch0 translate <  0,  0, 0> }
  object { Patch1 translate <  0, -1, 0> }
  object { Patch0 translate <  0, -2, 0> }
  object { Patch1 translate <  0, -3, 0> }
  object { Patch3 translate <  0, -4, 0> }
  object { Patch0 translate <  0, -5, 0> }
  object { Patch1 translate <  0, -6, 0> }
  object { Patch2 translate <  0, -7, 0> }
  object { Patch3 translate <  0, -8, 0> }

  object { Patch1 translate <  1,  1, 0> }
  object { Patch3 translate <  1,  0, 0> }
  object { Patch2 translate <  1, -1, 0> }
  object { Patch0 translate <  1, -2, 0> }
  object { Patch1 translate <  1, -3, 0> }
  object { Patch0 translate <  1, -4, 0> }
  object { Patch2 translate <  1, -5, 0> }
  object { Patch3 translate <  1, -6, 0> }
  object { Patch1 translate <  1, -7, 0> }
  translate <19,0,0>
}

  object { Patch0 rotate  60*z translate <  14, -2, 0> }
  object { Patch0 translate <  11, -6.5, 0> }
  object { Patch0 rotate  45*z translate <  9.25, -7, 0> }
  object { Patch0 translate <  6, -8.25, 0> }
  object { Patch0 translate <  7, -8.25, 0> }
  object { Patch0 translate <  8, -8.25, 0> }
  object { Patch0 rotate  60*z translate <  5, -8.5, 0> }
  object { Patch0 translate <  -8, -8.5, 0> }
  object { Patch0 translate <  -8, -7.5, 0> }
  object { Patch0 translate <  -7, -7, 0> }
  object { Patch0 rotate -60*z translate <  13, 5, 0> }
  object { Patch0 rotate -60*z translate <  12, 6, 0> }
  object { Patch0 rotate -60*z translate <  11, 7, 0> }
  object { Patch0 rotate -50*z translate <  10, 8, 0> }
  object { Patch0 rotate -45*z translate <   9, 9, 0> }
  object { Patch0 rotate -30*z translate <   7, 10, 0> }
  object { Patch0 rotate -30*z translate <   4, 12, 0> }
  object { Patch0 rotate -45*z translate <   14, 3, 0> }
  object { Patch0 rotate -45*z translate <   13.25, 4, 0> }

  object { Patch0 rotate -30*z translate <  -8, -13, 0> }
  object { Patch0 rotate -30*z translate <  -8, -12, 0> }
  object { Patch0 rotate -30*z translate <  -9, -20, 0> }
  object { Patch0 rotate  30*z translate <  -24, -16, 0> }
  object { Patch0 rotate  30*z translate <  -24, -15, 0> }
  object { Patch0 rotate  30*z translate <  -26, -12, 0> }
  object { Patch0 rotate  30*z translate <  -26, -11.75, 0> }
  object { Patch0 rotate  60*z translate <  -14.5, 9, 0> }
  object { Patch0 rotate  45*z translate <  -13.5, 11, 0> }
  object { Patch0 rotate  45*z translate <  -13, 12, 0> }
  object { Patch0 rotate  30*z translate <  -15, 6, 0> }

  object { Patch0 rotate  70*z translate <  -2, 13, 0> }
  object { Patch0 rotate  60*z translate <  -2.5, 13.5, 0> }
  object { Patch0 rotate  60*z translate <  -4, 14, 0> }
  object { Patch0 rotate  60*z translate <   5, 11.25, 0> } 
  object { Patch0 rotate  60*z translate <   3, 12.5, 0> } 
  object { Patch0 rotate  60*z translate <  10, -7, 0> } 
  object { Patch0 rotate  60*z translate <  12, -5, 0> } 
  object { Patch0 translate <  4, -8.25, 0> } 
  object { Patch0 translate <  14.5,-1, 0> } 
  object { Patch0 translate <  14.5, 0, 0> } 
  object { Patch0 translate <  14.5, 1, 0> } 
  object { Patch0 translate <  14.5, 2, 0> } 
  object { Patch0 rotate 60*z translate <  -6, -7.5, 0> } 
  object { Patch0 rotate -30*z translate <  -8, -9, 0> }     
  
#declare Patch10 = union {  
  object { Patch1 translate < -1,-1, 0> }
  object { Patch3 translate < -2,-1, 0> }
  object { Patch0 translate < -3,-1, 0> }
  object { Patch2 translate < -4,-1, 0> }
  object { Patch2 translate < -5,-1, 0> }
  object { Patch1 translate <  0,-1, 0> }
  object { Patch0 translate <  1,-1, 0> }
  object { Patch3 translate <  2,-1, 0> }
  object { Patch2 translate <  3,-1, 0> }
  object { Patch0 translate <  4,-1, 0> }
  object { Patch1 translate <  5,-1, 0> }
  object { Patch1 translate < -1,-2, 0> }
  object { Patch0 translate < -2,-2, 0> }
  object { Patch3 translate < -3,-2, 0> }
  object { Patch1 translate < -4,-2, 0> }
  object { Patch1 translate < -5,-2, 0> }
  object { Patch2 translate <  0,-2, 0> }
  object { Patch0 translate <  1,-2, 0> }
  object { Patch3 translate <  2,-2, 0> }
  object { Patch0 translate <  3,-2, 0> }
  object { Patch1 translate <  4,-2, 0> }
  object { Patch0 translate <  5,-2, 0> }
  object { Patch2 translate < -1,-3, 0> }
  object { Patch2 translate < -2,-3, 0> }
  object { Patch0 translate < -3,-3, 0> }
  object { Patch1 translate < -4,-3, 0> }
  object { Patch3 translate < -5,-3, 0> }
  object { Patch2 translate <  0,-3, 0> }
  object { Patch0 translate <  1,-3, 0> }
  object { Patch2 translate <  2,-3, 0> }
  object { Patch3 translate <  3,-3, 0> }
  object { Patch1 translate <  4,-3, 0> }
  object { Patch3 translate <  5,-3, 0> }
  object { Patch2 translate < -1,-4, 0> }
  object { Patch1 translate < -2,-4, 0> }
  object { Patch0 translate < -3,-4, 0> }
  object { Patch3 translate < -4,-4, 0> }
  object { Patch2 translate < -5,-4, 0> }
  object { Patch1 translate <  0,-4, 0> }
  object { Patch1 translate <  1,-4, 0> }
  object { Patch2 translate <  2,-4, 0> }
  object { Patch0 translate <  3,-4, 0> }
  object { Patch3 translate <  4,-4, 0> }
  object { Patch1 translate <  5,-4, 0> }
  object { Patch1 translate < -1,-5, 0> }
  object { Patch3 translate < -2,-5, 0> }
  object { Patch2 translate < -3,-5, 0> }
  object { Patch0 translate < -4,-5, 0> }
  object { Patch3 translate < -5,-5, 0> }
  object { Patch1 translate <  0,-5, 0> }
  object { Patch2 translate <  1,-5, 0> }
  object { Patch2 translate <  2,-5, 0> }
  object { Patch1 translate <  3,-5, 0> }
  object { Patch1 translate <  4,-5, 0> }
  object { Patch2 translate <  5,-5, 0> }
  object { Patch0 translate < -1, 0, 0> }
  object { Patch3 translate < -2, 0, 0> }
  object { Patch2 translate < -3, 0, 0> }
  object { Patch1 translate < -4, 0, 0> }
  object { Patch0 translate < -5, 0, 0> }
  object { Patch0 translate <  0, 0, 0> }
  object { Patch3 translate <  1, 0, 0> }
  object { Patch1 translate <  2, 0, 0> }
  object { Patch1 translate <  3, 0, 0> }
  object { Patch2 translate <  4, 0, 0> }
  object { Patch0 translate <  5, 0, 0> }
  object { Patch2 translate < -1, 1, 0> }
  object { Patch3 translate < -2, 1, 0> }
  object { Patch2 translate < -3, 1, 0> }
  object { Patch1 translate < -4, 1, 0> }
  object { Patch1 translate < -5, 1, 0> }
  object { Patch0 translate <  0, 1, 0> }
  object { Patch2 translate <  1, 1, 0> }
  object { Patch3 translate <  2, 1, 0> }
  object { Patch1 translate <  3, 1, 0> }
  object { Patch0 translate <  4, 1, 0> }
  object { Patch2 translate <  5, 1, 0> }
  object { Patch1 translate < -1, 2, 0> }
  object { Patch0 translate < -2, 2, 0> }
  object { Patch3 translate < -3, 2, 0> }
  object { Patch2 translate < -4, 2, 0> }
  object { Patch0 translate < -5, 2, 0> }
  object { Patch1 translate <  0, 2, 0> }
  object { Patch1 translate <  1, 2, 0> }
  object { Patch2 translate <  2, 2, 0> }
  object { Patch3 translate <  3, 2, 0> }
  object { Patch3 translate <  4, 2, 0> }
  object { Patch2 translate <  5, 2, 0> }
  object { Patch0 translate < -1, 3, 0> }
  object { Patch1 translate < -2, 3, 0> }
  object { Patch2 translate < -3, 3, 0> }
  object { Patch2 translate < -4, 3, 0> }
  object { Patch0 translate < -5, 3, 0> }
  object { Patch3 translate <  0, 3, 0> }
  object { Patch0 translate <  1, 3, 0> }
  object { Patch1 translate <  2, 3, 0> }
  object { Patch0 translate <  3, 3, 0> }
  object { Patch3 translate <  4, 3, 0> }
  object { Patch1 translate <  5, 3, 0> }
  object { Patch2 translate < -1, 4, 0> }
  object { Patch0 translate < -2, 4, 0> }
  object { Patch3 translate < -3, 4, 0> }
  object { Patch1 translate < -4, 4, 0> }
  object { Patch1 translate < -5, 4, 0> }
  object { Patch2 translate <  0, 4, 0> }
  object { Patch3 translate <  1, 4, 0> }
  object { Patch2 translate <  2, 4, 0> }
  object { Patch0 translate <  3, 4, 0> }
  object { Patch3 translate <  4, 4, 0> }
  object { Patch3 translate <  5, 4, 0> }
  object { Patch2 translate < -1, 5, 0> }
  object { Patch1 translate < -2, 5, 0> }
  object { Patch3 translate < -3, 5, 0> }
  object { Patch2 translate < -4, 5, 0> }
  object { Patch1 translate < -5, 5, 0> }
  object { Patch3 translate <  0, 5, 0> }
  object { Patch0 translate <  1, 5, 0> }
  object { Patch1 translate <  2, 5, 0> }
  object { Patch2 translate <  3, 5, 0> }
  object { Patch3 translate <  4, 5, 0> }
  object { Patch1 translate <  5, 5, 0> }
}
object { Patch10 translate <-50, -5.5,0> }
object { Patch10 translate <-50,-11,0> }
object { Patch10 translate <-50,-16.5,0> }
object { Patch10 translate <-50,-22,0> }
object { Patch10 translate <-50,-27.5,0> }
object { Patch10 translate <-50,-33,0> }
object { Patch10 translate <-50,-38.5,0> }
object { Patch10 translate <-50,-44,0> }
object { Patch10 translate <-50,-49.5,0> }
object { Patch10 translate <-50, 0, 0> }
object { Patch10 translate <-50, 5.5, 0> }
object { Patch10 translate <-50,11,0> }
object { Patch10 translate <-50,16.5,0> }
object { Patch10 translate <-50,22,0> }
object { Patch10 translate <-50,27.5,0> }
object { Patch10 translate <-50,33,0> }
object { Patch10 translate <-50,38.5,0> }
object { Patch10 translate <-50,44,0> }
object { Patch10 translate <-50,49.5,0> }

object { Patch10 translate <-44.5,11,0> }
object { Patch10 translate <-44.5,16.5,0> }
object { Patch10 translate <-44.5,22,0> }
object { Patch10 translate <-44.5,27.5,0> }
object { Patch10 translate <-44.5,33,0> }
object { Patch10 translate <-44.5,38.5,0> }
object { Patch10 translate <-44.5,44,0> }
object { Patch10 translate <-44.5,49.5,0> }
object { Patch10 translate <-44.5,-22,0> }
object { Patch10 translate <-44.5,-27.5,0> }
object { Patch10 translate <-44.5,-33,0> }
object { Patch10 translate <-44.5,-38.5,0> }
object { Patch10 translate <-44.5,-44,0> }
object { Patch10 translate <-44.5,-49.5,0> }

object { Patch10 translate <-39,-11,0> }
object { Patch10 translate <-39,-16.5,0> }
object { Patch10 translate <-39,-22,0> }
object { Patch10 translate <-39,-27.5,0> }
object { Patch10 translate <-39,-33,0> }
object { Patch10 translate <-39,-38.5,0> }
object { Patch10 translate <-39,-44,0> }
object { Patch10 translate <-39,-49.5,0> }
object { Patch10 translate <-39,11,0> }
object { Patch10 translate <-39,16.5,0> }
object { Patch10 translate <-39,22,0> }
object { Patch10 translate <-39,27.5,0> }
object { Patch10 translate <-39,33,0> }
object { Patch10 translate <-39,38.5,0> }
object { Patch10 translate <-39,44,0> }
object { Patch10 translate <-39,49.5,0> }

object { Patch10 translate <-33.5,-11,0> }
object { Patch10 translate <-33.5,-16.5,0> }
object { Patch10 translate <-33.5,-22,0> }
object { Patch10 translate <-33.5,-27.5,0> }
object { Patch10 translate <-33.5,-33,0> }
object { Patch10 translate <-33.5,-38.5,0> }
object { Patch10 translate <-33.5,-44,0> }
object { Patch10 translate <-33.5,-49.5,0> }
object { Patch10 translate <-33.5,11,0> }
object { Patch10 translate <-33.5,16.5,0> }
object { Patch10 translate <-33.5,22,0> }
object { Patch10 translate <-33.5,27.5,0> }
object { Patch10 translate <-33.5,33,0> }
object { Patch10 translate <-33.5,38.5,0> }
object { Patch10 translate <-33.5,44,0> }
object { Patch10 translate <-33.5,49.5,0> }

object { Patch10 translate <-28,-33,0> }
object { Patch10 translate <-28,-38.5,0> }
object { Patch10 translate <-28,-44,0> }
object { Patch10 translate <-28,-49.5,0> }
object { Patch10 translate <-28,11,0> }
object { Patch10 translate <-28,16.5,0> }
object { Patch10 translate <-28,22,0> }
object { Patch10 translate <-28,27.5,0> }
object { Patch10 translate <-28,33,0> }
object { Patch10 translate <-28,38.5,0> }

object { Patch10 translate <-22.5,-33,0> }
object { Patch10 translate <-22.5,-38.5,0> }
object { Patch10 translate <-22.5,-44,0> }
object { Patch10 translate <-22.5,-49.5,0> }
object { Patch10 translate <-22.5,22,0> }
object { Patch10 translate <-22.5,27.5,0> }
object { Patch10 translate <-22.5,33,0> }
object { Patch10 translate <-22.5,38.5,0> }

object { Patch10 translate <-17,22,0> }
object { Patch10 translate <-17,27,0> }
object { Patch10 translate <-17,33,0> }
object { Patch10 translate <-17,38.5,0> }

object { Patch10 translate <-11.5,22,0> }
object { Patch10 translate <-11.5,27,0> }
object { Patch10 translate <-11.5,33,0> }
object { Patch10 translate <-11.5,38.5,0> }

object { Patch10 translate <-6,27,0> }
object { Patch10 translate <-6,33,0> }
object { Patch10 translate <-6,38.5,0> }

object { Patch10 translate <0,33,0> }

object { Patch10 translate <-55.5, -0,0> }
object { Patch10 translate <-55.5, -5.5,0> }
object { Patch10 translate <-55.5,-11,0> }
object { Patch10 translate <-55.5,-16.5,0> }
object { Patch10 translate <-55.5,-22,0> }
object { Patch10 translate <-55.5,-27.5,0> }
object { Patch10 translate <-55.5,-33,0> }
object { Patch10 translate <-55.5,-38.5,0> }
object { Patch10 translate <-55.5,-44,0> }
object { Patch10 translate <-55.5,-49.5,0> }
object { Patch10 translate <-55.5,0,0> }
object { Patch10 translate <-55.5,5.5,0> }
object { Patch10 translate <-55.5,11,0> }
object { Patch10 translate <-55.5,16.5,0> }
object { Patch10 translate <-55.5,22,0> }
object { Patch10 translate <-55.5,27.5,0> }
object { Patch10 translate <-55.5,33,0> }
object { Patch10 translate <-55.5,38.5,0> }
object { Patch10 translate <-55.5,44,0> }
object { Patch10 translate <-55.5,49.5,0> }
object { Patch10 translate <-55.5,55,0> }
object { Patch10 translate <-55.5,60.5,0> }
object { Patch10 translate <-55.5,66,0> }
object { Patch10 translate <-55.5,71.5,0> }
object { Patch10 translate <-55.5,77,0> }
object { Patch10 translate <-55.5,82.5,0> }

object { Patch10 translate <-61,-5.5,0> }
object { Patch10 translate <-61,-11,0> }
object { Patch10 translate <-61,-16.5,0> }
object { Patch10 translate <-61,-22,0> }
object { Patch10 translate <-61,-27.5,0> }
object { Patch10 translate <-61,-33,0> }
object { Patch10 translate <-61,-38.5,0> }
object { Patch10 translate <-61,-44,0> }
object { Patch10 translate <-61,-49.5,0> }
object { Patch10 translate <-61,0,0> }
object { Patch10 translate <-61,5.5,0> }
object { Patch10 translate <-61,11,0> }
object { Patch10 translate <-61,16.5,0> }
object { Patch10 translate <-61,22,0> }
object { Patch10 translate <-61,27.5,0> }
object { Patch10 translate <-61,33,0> }
object { Patch10 translate <-61,38.5,0> }
object { Patch10 translate <-61,44,0> }
object { Patch10 translate <-61,49.5,0> }
object { Patch10 translate <-61,55,0> }
object { Patch10 translate <-61,60.5,0> }
object { Patch10 translate <-61,66,0> }
object { Patch10 translate <-61,71.5,0> }
object { Patch10 translate <-61,77,0> }
object { Patch10 translate <-61,82.5,0> }

object { Patch10 translate <-66.5,-5.5,0> }
object { Patch10 translate <-66.5,-11,0> }
object { Patch10 translate <-66.5,-16.5,0> }
object { Patch10 translate <-66.5,-22,0> }
object { Patch10 translate <-66.5,-27.5,0> }
object { Patch10 translate <-66.5,-33,0> }
object { Patch10 translate <-66.5,-38.5,0> }
object { Patch10 translate <-66.5,-44,0> }
object { Patch10 translate <-66.5,-49.5,0> }
object { Patch10 translate <-66.5,0,0> }
object { Patch10 translate <-66.5,5.5,0> }
object { Patch10 translate <-66.5,11,0> }
object { Patch10 translate <-66.5,16.5,0> }
object { Patch10 translate <-66.5,22,0> }
object { Patch10 translate <-66.5,27.5,0> }
object { Patch10 translate <-66.5,33,0> }
object { Patch10 translate <-66.5,38.5,0> }
object { Patch10 translate <-66.5,44,0> }
object { Patch10 translate <-66.5,49.5,0> }
object { Patch10 translate <-66.5,55,0> }
object { Patch10 translate <-66.5,60.5,0> }
object { Patch10 translate <-66.5,66,0> }
object { Patch10 translate <-66.5,71.5,0> }
object { Patch10 translate <-66.5,77,0> }
object { Patch10 translate <-66.5,82.5,0> }

object { Patch10 translate <-72,-5.5,0> }
object { Patch10 translate <-72,-11,0> }
object { Patch10 translate <-72,-16.5,0> }
object { Patch10 translate <-72,-22,0> }
object { Patch10 translate <-72,-27.5,0> }
object { Patch10 translate <-72,-33,0> }
object { Patch10 translate <-72,-38.5,0> }
object { Patch10 translate <-72,-44,0> }
object { Patch10 translate <-72,-49.5,0> }
object { Patch10 translate <-72,0,0> }
object { Patch10 translate <-72,5.5,0> }
object { Patch10 translate <-72,11,0> }
object { Patch10 translate <-72,16.5,0> }
object { Patch10 translate <-72,22,0> }
object { Patch10 translate <-72,27.5,0> }
object { Patch10 translate <-72,33,0> }
object { Patch10 translate <-72,38.5,0> }
object { Patch10 translate <-72,44,0> }
object { Patch10 translate <-72,49.5,0> }
object { Patch10 translate <-72,55,0> }
object { Patch10 translate <-72,60.5,0> }
object { Patch10 translate <-72,66,0> }
object { Patch10 translate <-72,71.5,0> }
object { Patch10 translate <-72,77,0> }
object { Patch10 translate <-72,82.5,0> }
object { Patch10 translate <-72,88,0> }
object { Patch10 translate <-72,93.5,0> }

object { Patch10 translate <-77.5,-5.5,0> }
object { Patch10 translate <-77.5,-11,0> }
object { Patch10 translate <-77.5,-16.5,0> }
object { Patch10 translate <-77.5,-22,0> }
object { Patch10 translate <-77.5,-27.5,0> }
object { Patch10 translate <-77.5,-33,0> }
object { Patch10 translate <-77.5,-38.5,0> }
object { Patch10 translate <-77.5,-44,0> }
object { Patch10 translate <-77.5,-49.5,0> }
object { Patch10 translate <-77.5,0,0> }
object { Patch10 translate <-77.5,5.5,0> }
object { Patch10 translate <-77.5,11,0> }
object { Patch10 translate <-77.5,16.5,0> }
object { Patch10 translate <-77.5,22,0> }
object { Patch10 translate <-77.5,27.5,0> }
object { Patch10 translate <-77.5,33,0> }
object { Patch10 translate <-77.5,38.5,0> }
object { Patch10 translate <-77.5,44,0> }
object { Patch10 translate <-77.5,49.5,0> }
object { Patch10 translate <-77.5,55,0> }
object { Patch10 translate <-77.5,60.5,0> }
object { Patch10 translate <-77.5,66,0> }
object { Patch10 translate <-77.5,71.5,0> }
object { Patch10 translate <-77.5,77,0> }
object { Patch10 translate <-77.5,82.5,0> }
object { Patch10 translate <-77.5,88,0> }
object { Patch10 translate <-77.5,93.5,0> }

object { Patch10 translate <-83,-5.5,0> }
object { Patch10 translate <-83,-11,0> }
object { Patch10 translate <-83,-16.5,0> }
object { Patch10 translate <-83,-22,0> }
object { Patch10 translate <-83,-27.5,0> }
object { Patch10 translate <-83,-33,0> }
object { Patch10 translate <-83,-38.5,0> }
object { Patch10 translate <-83,-44,0> }
object { Patch10 translate <-83,-49.5,0> }
object { Patch10 translate <-83,0,0> }
object { Patch10 translate <-83,5.5,0> }
object { Patch10 translate <-83,11,0> }
object { Patch10 translate <-83,16.5,0> }
object { Patch10 translate <-83,22,0> }
object { Patch10 translate <-83,27.5,0> }
object { Patch10 translate <-83,33,0> }
object { Patch10 translate <-83,38.5,0> }
object { Patch10 translate <-83,44,0> }
object { Patch10 translate <-83,49.5,0> }
object { Patch10 translate <-83,55,0> }
object { Patch10 translate <-83,60.5,0> }
object { Patch10 translate <-83,66,0> }
object { Patch10 translate <-83,71.5,0> }
object { Patch10 translate <-83,77,0> }
object { Patch10 translate <-83,82.5,0> }
object { Patch10 translate <-83,88,0> }
object { Patch10 translate <-83,93.5,0> }

object { Patch10 translate <-88.5,-5.5,0> }
object { Patch10 translate <-88.5,-11,0> }
object { Patch10 translate <-88.5,-16.5,0> }
object { Patch10 translate <-88.5,-22,0> }
object { Patch10 translate <-88.5,-27.5,0> }
object { Patch10 translate <-88.5,-33,0> }
object { Patch10 translate <-88.5,-38.5,0> }
object { Patch10 translate <-88.5,-44,0> }
object { Patch10 translate <-88.5,-49.5,0> }
object { Patch10 translate <-88.5,0,0> }
object { Patch10 translate <-88.5,5.5,0> }
object { Patch10 translate <-88.5,11,0> }
object { Patch10 translate <-88.5,16.5,0> }
object { Patch10 translate <-88.5,22,0> }
object { Patch10 translate <-88.5,27.5,0> }
object { Patch10 translate <-88.5,33,0> }
object { Patch10 translate <-88.5,38.5,0> }
object { Patch10 translate <-88.5,44,0> }
object { Patch10 translate <-88.5,49.5,0> }
object { Patch10 translate <-88.5,55,0> }
object { Patch10 translate <-88.5,60.5,0> }
object { Patch10 translate <-88.5,66,0> }
object { Patch10 translate <-88.5,71.5,0> }
object { Patch10 translate <-88.5,77,0> }
object { Patch10 translate <-88.5,82.5,0> }
object { Patch10 translate <-88.5,88,0> }
object { Patch10 translate <-88.5,93.5,0> }

object { Patch10 translate <-94,-5.5,0> }
object { Patch10 translate <-94,-11,0> }
object { Patch10 translate <-94,-16.5,0> }
object { Patch10 translate <-94,-22,0> }
object { Patch10 translate <-94,-27.5,0> }
object { Patch10 translate <-94,-33,0> }
object { Patch10 translate <-94,-38.5,0> }
object { Patch10 translate <-94,-44,0> }
object { Patch10 translate <-94,-49.5,0> }
object { Patch10 translate <-94,0,0> }
object { Patch10 translate <-94,5.5,0> }
object { Patch10 translate <-94,11,0> }
object { Patch10 translate <-94,16.5,0> }
object { Patch10 translate <-94,22,0> }
object { Patch10 translate <-94,27.5,0> }
object { Patch10 translate <-94,33,0> }
object { Patch10 translate <-94,38.5,0> }
object { Patch10 translate <-94,44,0> }
object { Patch10 translate <-94,49.5,0> }
object { Patch10 translate <-94,55,0> }
object { Patch10 translate <-94,60.5,0> }
object { Patch10 translate <-94,66,0> }
object { Patch10 translate <-94,71.5,0> }
object { Patch10 translate <-94,77,0> }
object { Patch10 translate <-94,82.5,0> }
object { Patch10 translate <-94,88,0> }
object { Patch10 translate <-94,93.5,0> }

object { Patch10 translate <-99.5,-5.5,0> }
object { Patch10 translate <-99.5,-11,0> }
object { Patch10 translate <-99.5,-16.5,0> }
object { Patch10 translate <-99.5,-22,0> }
object { Patch10 translate <-99.5,-27.5,0> }
object { Patch10 translate <-99.5,-33,0> }
object { Patch10 translate <-99.5,-38.5,0> }
object { Patch10 translate <-99.5,-44,0> }
object { Patch10 translate <-99.5,-49.5,0> }
object { Patch10 translate <-99.5,0,0> }
object { Patch10 translate <-99.5,5.5,0> }
object { Patch10 translate <-99.5,11,0> }
object { Patch10 translate <-99.5,16.5,0> }
object { Patch10 translate <-99.5,22,0> }
object { Patch10 translate <-99.5,27.5,0> }
object { Patch10 translate <-99.5,33,0> }
object { Patch10 translate <-99.5,38.5,0> }
object { Patch10 translate <-99.5,44,0> }
object { Patch10 translate <-99.5,49.5,0> }
object { Patch10 translate <-99.5,55,0> }
object { Patch10 translate <-99.5,60.5,0> }
object { Patch10 translate <-99.5,66,0> }
object { Patch10 translate <-99.5,71.5,0> }
object { Patch10 translate <-99.5,77,0> }
object { Patch10 translate <-99.5,82.5,0> }
object { Patch10 translate <-99.5,88,0> }
object { Patch10 translate <-99.5,93.5,0> }

object { Patch10 translate <-105,-5.5,0> }
object { Patch10 translate <-105,-11,0> }
object { Patch10 translate <-105,-16.5,0> }
object { Patch10 translate <-105,-22,0> }
object { Patch10 translate <-105,-27.5,0> }
object { Patch10 translate <-105,-33,0> }
object { Patch10 translate <-105,-38.5,0> }
object { Patch10 translate <-105,-44,0> }
object { Patch10 translate <-105,-49.5,0> }
object { Patch10 translate <-105,0,0> }
object { Patch10 translate <-105,5.5,0> }
object { Patch10 translate <-105,11,0> }
object { Patch10 translate <-105,16.5,0> }
object { Patch10 translate <-105,22,0> }
object { Patch10 translate <-105,27.5,0> }
object { Patch10 translate <-105,33,0> }
object { Patch10 translate <-105,38.5,0> }
object { Patch10 translate <-105,44,0> }
object { Patch10 translate <-105,49.5,0> }
object { Patch10 translate <-105,55,0> }
object { Patch10 translate <-105,60.5,0> }
object { Patch10 translate <-105,66,0> }
object { Patch10 translate <-105,71.5,0> }
object { Patch10 translate <-105,77,0> }
object { Patch10 translate <-105,82.5,0> }
object { Patch10 translate <-105,88,0> }
object { Patch10 translate <-105,93.5,0> }

      